<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\Libs\Util\NewCode;
use Teknisa\SM\Service\Sm00003000ItemEscopoService;

class Sm00003000ItemEscopoController extends SMCrud
{
    protected $dataSourceName = 'fct_itescopoproposta_widget';
    protected $newCode;
    protected $ServiceEscopoServico;

    public function __construct ($crudService, $environment, NewCode $newCode, Sm00003000ItemEscopoService $ServiceEscopoServico) {
        parent::__construct($crudService, $environment);
        $this->newCode = $newCode;
        $this->ServiceEscopoServico  = $ServiceEscopoServico;
    }
    
    /**
     * A função "validaServicoEscopo" verifica se o serviço 
     * que está sendo relacionado já existe está relacionadoao serviço.
     */
    
    public function validaServicoEscopo(Request\Row $request, Response $response) {
        $row = $request->getRow();
        
        $servOrca = $row['CDSERVORCA']; 
        $escopoOrca = $row['NRTIPOORCAMENTO'];
        
        $ValidaServEscopo = $this->ServiceEscopoServico->validaServicoEscopo($servOrca, $escopoOrca);
        
        $dtsValServEscopo = new DataSet('VALIDASERV', array('VALIDA'=>$ValidaServEscopo));
        
        $response->addDataSet($dtsValServEscopo);
    
    } 
    
    public function save(Request $request, Response $response) {
        $rows  = $request->getDataSet()->getRows();
        $nrorg = $this->environment->getNrOrg();
        foreach($rows as $row) 
            $row['NRITESCOPOPROPOSTA'] = $this->newCode->getCodeByTableName("FCT_ITESCOPOPROPOSTA", $nrorg, 1, 10, true);
        
        $request->setParameter('dbname', $this->dataSourceName);
        parent::save($request, $response);
        
    }
    
    public function find(Request\Filter $request, Response $response) {
        $request->setParameter('dbname', $this->dataSourceName);
        parent::find($request, $response);
    
    }
    
    public function delete(Request $request, Response $response) {
        $request->setParameter('dbname', $this->dataSourceName);
        parent::delete($request, $response);
    
    }
    
}
?>