/* Tabela CLIENTE */
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela CLIENTE */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela CLIENTE
             utilizando a tabela Geral de Logs de Operaes */

IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'LOG_GER_CLIENTE' AND
                TYPE   = 'TR'              AND
                U.UID  = O.UID             AND
                U.NAME = USER)

DROP TRIGGER LOG_GER_CLIENTE
GO


CREATE TRIGGER LOG_GER_CLIENTE
ON CLIENTE
FOR UPDATE,INSERT, DELETE
AS
BEGIN

   DECLARE @V_DSREMOTEADDR VARCHAR(15);
   DECLARE @V_DSREMOTEHOST VARCHAR(15);
   DECLARE @V_DSSERVERRDM  VARCHAR(20);
   DECLARE @V_DSSERVMETHOD VARCHAR(30);
   DECLARE @V_DSREMOTEOPER VARCHAR(12);
   DECLARE @V_DESC         VARCHAR(1300);
   DECLARE @V_ITPESQ       VARCHAR(40);
   DECLARE @V_NMOPERADOR   VARCHAR(40);
   DECLARE @V_IDCLIEATIV   VARCHAR(1);
   DECLARE @V_NRINCREST    VARCHAR(40);
   DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/
   DECLARE @V_ID_TRIGGER      VARCHAR(1);

   DECLARE @V_IDCLIEATIV_OLD   VARCHAR(1);
   DECLARE @V_NRINSESTCLIE_OLD VARCHAR(20);
   DECLARE @V_NRINSJURCLIE_OLD VARCHAR(20);
   DECLARE @V_IDTPIJURCLIE_OLD VARCHAR(1);
   DECLARE @V_NMRAZSOCCLIE_OLD VARCHAR(50);
   DECLARE @V_NMFANTCLIE_OLD   VARCHAR(50);
   DECLARE @V_CDCLIENTE_OLD    VARCHAR(21);
   DECLARE @V_NMAVALCLIE_OLD   VARCHAR(40);
   DECLARE @V_VRPEMARGLUCR_OLD double precision;
   DECLARE @V_QTCNDPG1CLIE_OLD INT;
   DECLARE @V_QTCNDPG2CLIE_OLD INT;
   DECLARE @V_QTCNDPG3CLIE_OLD INT;
   DECLARE @V_QTCNDPG4CLIE_OLD INT;
   DECLARE @V_QTCNDPG5CLIE_OLD INT;
   DECLARE @V_QTCNDPG6CLIE_OLD INT;
   DECLARE @V_IDFORMPGCLIE_OLD VARCHAR(1);
   DECLARE @V_VRPERPG1CLIE_OLD double precision;
   DECLARE @V_VRPERPG2CLIE_OLD double precision;
   DECLARE @V_VRPERPG3CLIE_OLD double precision;
   DECLARE @V_VRPERPG4CLIE_OLD double precision;
   DECLARE @V_VRPERPG5CLIE_OLD double precision;
   DECLARE @V_VRPERPG6CLIE_OLD double precision;
   DECLARE @V_CDFORMPGTO_OLD   VARCHAR(2);
   DECLARE @V_IDTPFORPGTCL_OLD VARCHAR(1);
   DECLARE @V_NRPARCPGTOCL_OLD SMALLINT;
   DECLARE @V_NRDIAPGFIXCL_OLD SMALLINT;
   DECLARE @V_IDUTDIAPGTCL_OLD VARCHAR(1);
   DECLARE @V_VRPEMORBCLI_OLD  double precision;
   DECLARE @V_VRPEMULBCLI_OLD  double precision;
   DECLARE @V_CDSEGMER_OLD     VARCHAR(5);
   DECLARE @V_CDATIVCLI_OLD    VARCHAR(10);
   DECLARE @V_VRCAPITALCLI_OLD double precision;
   DECLARE @V_VRPATLIQCLI_OLD  double precision;
   DECLARE @V_DTVALVALCLI_OLD  DATETIME;
   DECLARE @V_VRLIMCREDCLI_OLD double precision;
   DECLARE @V_DTVALLIMCLI_OLD  DATETIME;
   DECLARE @V_CDTPCTRECEB_OLD  VARCHAR(6);
   DECLARE @V_CDCSTDIG1CLI_OLD VARCHAR(1);
   DECLARE @V_IDENDEMISCLI_OLD VARCHAR(1);
   DECLARE @V_IDENDCFOPCLI_OLD VARCHAR(1);
   DECLARE @V_IDUTLICEUSO_OLD  VARCHAR(1);
   DECLARE @V_CDVENDEDOR_OLD   VARCHAR(4);
   DECLARE @V_IDTIPINFCOME_OLD VARCHAR(1);
   DECLARE @V_DTICOINFCOME_OLD DATETIME;
   DECLARE @V_DTFCOINFCOME_OLD DATETIME;
   DECLARE @V_DSHOMEPACLI_OLD  VARCHAR(50);
   DECLARE @V_DTCADACLIE_OLD   DATETIME;
   DECLARE @V_IDCONTRIBCLI_OLD VARCHAR(1);
   DECLARE @V_IDCLIECONTRI_OLD VARCHAR(1);
   DECLARE @V_CDCFOPCLIE_OLD   VARCHAR(4);
   DECLARE @V_DSCFOPCLIE_OLD   VARCHAR(50);
   DECLARE @V_CDMODODIVULG_OLD VARCHAR(5);
   DECLARE @V_CDESTACIVIL_OLD  VARCHAR(1);
   DECLARE @V_CDPROSPECT_OLD   VARCHAR(21);
   DECLARE @V_CDESCOLARIDADE_OLD VARCHAR(1);
   DECLARE @V_CDESCOLA_OLD       VARCHAR(10);
   DECLARE @V_CDFIAVALESTA_OLD   VARCHAR(4);
   DECLARE @V_CDAVALESTA_OLD     VARCHAR(3);
   DECLARE @V_NMMAECLIE_OLD      VARCHAR(50);
   DECLARE @V_NMPAICLIE_OLD      VARCHAR(50);
   DECLARE @V_DTNASCCLIE_OLD     DATETIME;
   DECLARE @V_DSNATURCLIE_OLD    VARCHAR(40);
   DECLARE @V_IDSEXOCLIE_OLD     VARCHAR(1);
   DECLARE @V_IDTRABCLIE_OLD     VARCHAR(1);
   DECLARE @V_DSLOCTRCLIE_OLD    VARCHAR(50);
   DECLARE @V_IDESTUDACLIE_OLD   VARCHAR(1);
   DECLARE @V_IDTESTNIVCLI_OLD   VARCHAR(1);
   DECLARE @V_VRTESTNIVCLI_OLD   double precision;
   DECLARE @V_IDTIPOCLIE_OLD     VARCHAR(1);
   DECLARE @V_CDPROFISSAO_OLD    VARCHAR(10);
   DECLARE @V_CDGRUPOFISC_OLD    VARCHAR(3);
   DECLARE @V_NMRESPCLIE_OLD     VARCHAR(50);
   DECLARE @V_DTTESTNIVCLI_OLD   DATETIME;
   DECLARE @V_NRCPFCLIE_OLD      VARCHAR(11);
   DECLARE @V_NRRGCLIE_OLD       VARCHAR(20);
   DECLARE @V_CDEXRGCLIE_OLD     VARCHAR(10);
   DECLARE @V_DTEXRGCLIE_OLD     DATETIME;
   DECLARE @V_CDEMPFCAPCLI_OLD   VARCHAR(2);
   DECLARE @V_CDFUNCCAPCLI_OLD   VARCHAR(10);
   DECLARE @V_CDEMPFAPLTES_OLD   VARCHAR(2);
   DECLARE @V_CDFUNCAPLTES_OLD   VARCHAR(10);
   DECLARE @V_NRTURNO_OLD        VARCHAR(2);
   DECLARE @V_IDSEGCLIP_OLD      VARCHAR(1);
   DECLARE @V_IDTERCLIP_OLD      VARCHAR(1);
   DECLARE @V_IDQUACLIP_OLD      VARCHAR(1);
   DECLARE @V_IDQUICLIP_OLD      VARCHAR(1);
   DECLARE @V_IDSEXCLIP_OLD      VARCHAR(1);
   DECLARE @V_IDSABCLIP_OLD      VARCHAR(1);
   DECLARE @V_IDDOMCLIP_OLD      VARCHAR(1);
   DECLARE @V_IDRECINFMKT_OLD    VARCHAR(1);
   DECLARE @V_CDFILORIGCLI_OLD   VARCHAR(4);
   DECLARE @V_CDFILESTAPTO_OLD   VARCHAR(4);
   DECLARE @V_CDESTAGIAPTO_OLD   VARCHAR(10);
   DECLARE @V_CDEXCLIENTE_OLD    VARCHAR(30);
   DECLARE @V_IDPRIPUBCLIE_OLD   VARCHAR(1);
   DECLARE @V_VRPEFORPRECO_OLD   double precision;
   DECLARE @V_IDVERSALDCLI_OLD   VARCHAR(1);
   DECLARE @V_IDUTSALDCLI_OLD    VARCHAR(1);
   DECLARE @V_IDCALCDVCLIE_OLD   VARCHAR(1);
   DECLARE @V_IDUTSUBCLIEN_OLD   VARCHAR(1);
   DECLARE @V_VRPESUBCLIEN_OLD   double precision;
   DECLARE @V_IDLIBGERPER_OLD    VARCHAR(1);
   DECLARE @V_NRDIAVALPERS_OLD   NUMERIC(15);
   DECLARE @V_CDCARGOCNJCL_OLD   VARCHAR(4);
   DECLARE @V_CDCARGOCLIE_OLD    VARCHAR(4);
   DECLARE @V_NRCARPROCLIE_OLD   VARCHAR(20);
   DECLARE @V_VRSALARICLIE_OLD   double precision;
   DECLARE @V_NMCONJUGCLIE_OLD   VARCHAR(50);
   DECLARE @V_DTNASCNJCLIE_OLD   DATETIME;
   DECLARE @V_NMEMPCNJCLIE_OLD   VARCHAR(50);
   DECLARE @V_VRSALCNJCLIE_OLD   double precision;
   DECLARE @V_NRCPFCNJCLIE_OLD   VARCHAR(11);
   DECLARE @V_NRRGCNJCLIE_OLD    VARCHAR(20);
   DECLARE @V_CDEXRGCNJCLI_OLD   VARCHAR(10);
   DECLARE @V_DTEXRGCNJCLI_OLD   DATETIME;
   DECLARE @V_DTVALARQPERS_OLD   DATETIME;
   DECLARE @V_DSEMAILENVCL_OLD   VARCHAR(50);
   DECLARE @V_DSEMAILCOMCL_OLD   VARCHAR(50);
   DECLARE @V_IDRESPROPCLI_OLD   VARCHAR(1);
   DECLARE @V_NRMESRESCLIE_OLD   NUMERIC(15);
   DECLARE @V_NRANORESCLIE_OLD   NUMERIC(15);
   DECLARE @V_IDZERSALDCON_OLD   VARCHAR(1);
   DECLARE @V_IDGERNFCLIE_OLD    VARCHAR(1);
   DECLARE @V_CDIDCLIENTE_OLD    VARCHAR(1);
   DECLARE @V_IDSITFINCLIE_OLD   VARCHAR(1);
   DECLARE @V_DTINITRCLIE_OLD    DATETIME;
   DECLARE @V_IDLIGEXTCLIE_OLD   VARCHAR(1);
   DECLARE @V_DTULTMOVCLIE_OLD   DATETIME;
   DECLARE @V_DTCADACLPROS_OLD   DATETIME;
   DECLARE @V_VRFATUCLIE_OLD     double precision;
   DECLARE @V_NRFUNCCLIE_OLD     VARCHAR(5);
   DECLARE @V_NRUNOPCLIE_OLD     VARCHAR(5);
   DECLARE @V_CDQUALIF_OLD       VARCHAR(2);
   DECLARE @V_QTIMPEXTRMES_OLD   double precision;
   DECLARE @V_VRPEMAXDESCL_OLD   double precision;
   DECLARE @V_CDMODPGTO_OLD      VARCHAR(5);
   DECLARE @V_DTVALQUALIC_OLD    DATETIME;
   DECLARE @V_NRNOTACLIE_OLD     double precision;
   DECLARE @V_IDCLIEAUTO_OLD     VARCHAR(1);
   DECLARE @V_CDGRUPCLIE_OLD     VARCHAR(10);
   DECLARE @V_IDGERANFPEDI_OLD   VARCHAR(1);
   DECLARE @V_IDPFINAPRPED_OLD   VARCHAR(1);
   DECLARE @V_NRDIAPFINAPR_OLD   VARCHAR(4);
   DECLARE @V_IDSFINAPRPED_OLD   VARCHAR(1);
   DECLARE @V_IDUTCONSPEDI_OLD   VARCHAR(1);
   DECLARE @V_VRCAPINTFUT_OLD    double precision;
   DECLARE @V_VRCAPINTCLIE_OLD   double precision;
   DECLARE @V_VRRESCAPCLIE_OLD   double precision;
   DECLARE @V_VRMERESTCLIE_OLD   double precision;
   DECLARE @V_CDREGIAOPED_OLD    VARCHAR(3);
   DECLARE @V_CDFILTABPREC_OLD   VARCHAR(4);
   DECLARE @V_CDTABEPREC_OLD     VARCHAR(3);
   DECLARE @V_CDTPINDICE_OLD     VARCHAR(1);
   DECLARE @V_CDINDICE_OLD       VARCHAR(4);
   DECLARE @V_CDCONTCTBL_OLD     VARCHAR(20);
   DECLARE @V_IDPERVALOR_OLD     VARCHAR(1);
   DECLARE @V_CDREFERENCIA_OLD   VARCHAR(3);
   DECLARE @V_CDMODDOCFISC_OLD   VARCHAR(2);
   DECLARE @V_NRINSJURTRAN_OLD   VARCHAR(20);
   DECLARE @V_IDTPIJURTRAN_OLD   VARCHAR(1);
   DECLARE @V_CDTIPTRANS_OLD     VARCHAR(4);
   DECLARE @V_IDPGFRETTRANCLI_OLD VARCHAR(1);
   DECLARE @V_IDCOMPARQXMLCLI_OLD VARCHAR(1);
   DECLARE @V_NRINSCSUFRAMACL_OLD VARCHAR(9);
   declare @V_IDGRAVOBSCLIPED_OLD VARCHAR(1);

   DECLARE @V_IDCLIEATIV_NEW   VARCHAR(1);
   DECLARE @V_NRINSESTCLIE_NEW VARCHAR(20);
   DECLARE @V_NRINSJURCLIE_NEW VARCHAR(20);
   DECLARE @V_IDTPIJURCLIE_NEW VARCHAR(1);
   DECLARE @V_NMRAZSOCCLIE_NEW VARCHAR(50);
   DECLARE @V_NMFANTCLIE_NEW   VARCHAR(50);
   DECLARE @V_CDCLIENTE_NEW    VARCHAR(21);
   DECLARE @V_NMAVALCLIE_NEW   VARCHAR(40);
   DECLARE @V_VRPEMARGLUCR_NEW double precision;
   DECLARE @V_QTCNDPG1CLIE_NEW INT;
   DECLARE @V_QTCNDPG2CLIE_NEW INT;
   DECLARE @V_QTCNDPG3CLIE_NEW INT;
   DECLARE @V_QTCNDPG4CLIE_NEW INT;
   DECLARE @V_QTCNDPG5CLIE_NEW INT;
   DECLARE @V_QTCNDPG6CLIE_NEW INT;
   DECLARE @V_IDFORMPGCLIE_NEW VARCHAR(1);
   DECLARE @V_VRPERPG1CLIE_NEW double precision;
   DECLARE @V_VRPERPG2CLIE_NEW double precision;
   DECLARE @V_VRPERPG3CLIE_NEW double precision;
   DECLARE @V_VRPERPG4CLIE_NEW double precision;
   DECLARE @V_VRPERPG5CLIE_NEW double precision;
   DECLARE @V_VRPERPG6CLIE_NEW double precision;
   DECLARE @V_CDFORMPGTO_NEW   VARCHAR(2);
   DECLARE @V_IDTPFORPGTCL_NEW VARCHAR(1);
   DECLARE @V_NRPARCPGTOCL_NEW SMALLINT;
   DECLARE @V_NRDIAPGFIXCL_NEW SMALLINT;
   DECLARE @V_IDUTDIAPGTCL_NEW VARCHAR(1);
   DECLARE @V_VRPEMORBCLI_NEW  double precision;
   DECLARE @V_VRPEMULBCLI_NEW  double precision;
   DECLARE @V_CDSEGMER_NEW     VARCHAR(5);
   DECLARE @V_CDATIVCLI_NEW    VARCHAR(10);
   DECLARE @V_VRCAPITALCLI_NEW double precision;
   DECLARE @V_VRPATLIQCLI_NEW  double precision;
   DECLARE @V_DTVALVALCLI_NEW  DATETIME;
   DECLARE @V_VRLIMCREDCLI_NEW double precision;
   DECLARE @V_DTVALLIMCLI_NEW  DATETIME;
   DECLARE @V_CDTPCTRECEB_NEW  VARCHAR(6);
   DECLARE @V_CDCSTDIG1CLI_NEW VARCHAR(1);
   DECLARE @V_IDENDEMISCLI_NEW VARCHAR(1);
   DECLARE @V_IDENDCFOPCLI_NEW VARCHAR(1);
   DECLARE @V_IDUTLICEUSO_NEW  VARCHAR(1);
   DECLARE @V_CDVENDEDOR_NEW   VARCHAR(4);
   DECLARE @V_IDTIPINFCOME_NEW VARCHAR(1);
   DECLARE @V_DTICOINFCOME_NEW DATETIME;
   DECLARE @V_DTFCOINFCOME_NEW DATETIME;
   DECLARE @V_DSHOMEPACLI_NEW  VARCHAR(50);
   DECLARE @V_DTCADACLIE_NEW   DATETIME;
   DECLARE @V_IDCONTRIBCLI_NEW VARCHAR(1);
   DECLARE @V_IDCLIECONTRI_NEW VARCHAR(1);
   DECLARE @V_CDCFOPCLIE_NEW   VARCHAR(4);
   DECLARE @V_DSCFOPCLIE_NEW   VARCHAR(50);
   DECLARE @V_CDMODODIVULG_NEW VARCHAR(5);
   DECLARE @V_CDESTACIVIL_NEW  VARCHAR(1);
   DECLARE @V_CDPROSPECT_NEW   VARCHAR(21);
   DECLARE @V_CDESCOLARIDADE_NEW VARCHAR(1);
   DECLARE @V_CDESCOLA_NEW       VARCHAR(10);
   DECLARE @V_CDFIAVALESTA_NEW   VARCHAR(4);
   DECLARE @V_CDAVALESTA_NEW     VARCHAR(3);
   DECLARE @V_NMMAECLIE_NEW      VARCHAR(50);
   DECLARE @V_NMPAICLIE_NEW      VARCHAR(50);
   DECLARE @V_DTNASCCLIE_NEW     DATETIME;
   DECLARE @V_DSNATURCLIE_NEW    VARCHAR(40);
   DECLARE @V_IDSEXOCLIE_NEW     VARCHAR(1);
   DECLARE @V_IDTRABCLIE_NEW     VARCHAR(1);
   DECLARE @V_DSLOCTRCLIE_NEW    VARCHAR(50);
   DECLARE @V_IDESTUDACLIE_NEW   VARCHAR(1);
   DECLARE @V_IDTESTNIVCLI_NEW   VARCHAR(1);
   DECLARE @V_VRTESTNIVCLI_NEW   double precision;
   DECLARE @V_IDTIPOCLIE_NEW     VARCHAR(1);
   DECLARE @V_CDPROFISSAO_NEW    VARCHAR(10);
   DECLARE @V_CDGRUPOFISC_NEW    VARCHAR(3);
   DECLARE @V_NMRESPCLIE_NEW     VARCHAR(50);
   DECLARE @V_DTTESTNIVCLI_NEW   DATETIME;
   DECLARE @V_NRCPFCLIE_NEW      VARCHAR(11);
   DECLARE @V_NRRGCLIE_NEW       VARCHAR(20);
   DECLARE @V_CDEXRGCLIE_NEW     VARCHAR(10);
   DECLARE @V_DTEXRGCLIE_NEW     DATETIME;
   DECLARE @V_CDEMPFCAPCLI_NEW   VARCHAR(2);
   DECLARE @V_CDFUNCCAPCLI_NEW   VARCHAR(10);
   DECLARE @V_CDEMPFAPLTES_NEW   VARCHAR(2);
   DECLARE @V_CDFUNCAPLTES_NEW   VARCHAR(10);
   DECLARE @V_NRTURNO_NEW        VARCHAR(2);
   DECLARE @V_IDSEGCLIP_NEW      VARCHAR(1);
   DECLARE @V_IDTERCLIP_NEW      VARCHAR(1);
   DECLARE @V_IDQUACLIP_NEW      VARCHAR(1);
   DECLARE @V_IDQUICLIP_NEW      VARCHAR(1);
   DECLARE @V_IDSEXCLIP_NEW      VARCHAR(1);
   DECLARE @V_IDSABCLIP_NEW      VARCHAR(1);
   DECLARE @V_IDDOMCLIP_NEW      VARCHAR(1);
   DECLARE @V_IDRECINFMKT_NEW    VARCHAR(1);
   DECLARE @V_CDFILORIGCLI_NEW   VARCHAR(4);
   DECLARE @V_CDFILESTAPTO_NEW   VARCHAR(4);
   DECLARE @V_CDESTAGIAPTO_NEW   VARCHAR(10);
   DECLARE @V_CDEXCLIENTE_NEW    VARCHAR(30);
   DECLARE @V_IDPRIPUBCLIE_NEW   VARCHAR(1);
   DECLARE @V_VRPEFORPRECO_NEW   double precision;
   DECLARE @V_IDVERSALDCLI_NEW   VARCHAR(1);
   DECLARE @V_IDUTSALDCLI_NEW    VARCHAR(1);
   DECLARE @V_IDCALCDVCLIE_NEW   VARCHAR(1);
   DECLARE @V_IDUTSUBCLIEN_NEW   VARCHAR(1);
   DECLARE @V_VRPESUBCLIEN_NEW   double precision;
   DECLARE @V_IDLIBGERPER_NEW    VARCHAR(1);
   DECLARE @V_NRDIAVALPERS_NEW   NUMERIC(15);
   DECLARE @V_CDCARGOCNJCL_NEW   VARCHAR(4);
   DECLARE @V_CDCARGOCLIE_NEW    VARCHAR(4);
   DECLARE @V_NRCARPROCLIE_NEW   VARCHAR(20);
   DECLARE @V_VRSALARICLIE_NEW   double precision;
   DECLARE @V_NMCONJUGCLIE_NEW   VARCHAR(50);
   DECLARE @V_DTNASCNJCLIE_NEW   DATETIME;
   DECLARE @V_NMEMPCNJCLIE_NEW   VARCHAR(50);
   DECLARE @V_VRSALCNJCLIE_NEW   double precision;
   DECLARE @V_NRCPFCNJCLIE_NEW   VARCHAR(11);
   DECLARE @V_NRRGCNJCLIE_NEW    VARCHAR(20);
   DECLARE @V_CDEXRGCNJCLI_NEW   VARCHAR(10);
   DECLARE @V_DTEXRGCNJCLI_NEW   DATETIME;
   DECLARE @V_DTVALARQPERS_NEW   DATETIME;
   DECLARE @V_DSEMAILENVCL_NEW   VARCHAR(50);
   DECLARE @V_DSEMAILCOMCL_NEW   VARCHAR(50);
   DECLARE @V_IDRESPROPCLI_NEW   VARCHAR(1);
   DECLARE @V_NRMESRESCLIE_NEW   NUMERIC(15);
   DECLARE @V_NRANORESCLIE_NEW   NUMERIC(15);
   DECLARE @V_IDZERSALDCON_NEW   VARCHAR(1);
   DECLARE @V_IDGERNFCLIE_NEW    VARCHAR(1);
   DECLARE @V_CDIDCLIENTE_NEW    VARCHAR(1);
   DECLARE @V_IDSITFINCLIE_NEW   VARCHAR(1);
   DECLARE @V_DTINITRCLIE_NEW    DATETIME;
   DECLARE @V_IDLIGEXTCLIE_NEW   VARCHAR(1);
   DECLARE @V_DTULTMOVCLIE_NEW   DATETIME;
   DECLARE @V_DTCADACLPROS_NEW   DATETIME;
   DECLARE @V_VRFATUCLIE_NEW     double precision;
   DECLARE @V_NRFUNCCLIE_NEW     VARCHAR(5);
   DECLARE @V_NRUNOPCLIE_NEW     VARCHAR(5);
   DECLARE @V_CDQUALIF_NEW       VARCHAR(2);
   DECLARE @V_QTIMPEXTRMES_NEW   double precision;
   DECLARE @V_VRPEMAXDESCL_NEW   double precision;
   DECLARE @V_CDMODPGTO_NEW      VARCHAR(5);
   DECLARE @V_DTVALQUALIC_NEW    DATETIME;
   DECLARE @V_NRNOTACLIE_NEW     double precision;
   DECLARE @V_IDCLIEAUTO_NEW     VARCHAR(1);
   DECLARE @V_CDGRUPCLIE_NEW     VARCHAR(10);
   DECLARE @V_IDGERANFPEDI_NEW   VARCHAR(1);
   DECLARE @V_IDPFINAPRPED_NEW   VARCHAR(1);
   DECLARE @V_NRDIAPFINAPR_NEW   VARCHAR(4);
   DECLARE @V_IDSFINAPRPED_NEW   VARCHAR(1);
   DECLARE @V_IDUTCONSPEDI_NEW   VARCHAR(1);
   DECLARE @V_VRCAPINTFUT_NEW    double precision;
   DECLARE @V_VRCAPINTCLIE_NEW   double precision;
   DECLARE @V_VRRESCAPCLIE_NEW   double precision;
   DECLARE @V_VRMERESTCLIE_NEW   double precision;
   DECLARE @V_CDREGIAOPED_NEW    VARCHAR(3);
   DECLARE @V_CDFILTABPREC_NEW   VARCHAR(4);
   DECLARE @V_CDTABEPREC_NEW     VARCHAR(3);
   DECLARE @V_CDTPINDICE_NEW     VARCHAR(1);
   DECLARE @V_CDINDICE_NEW       VARCHAR(4);
   DECLARE @V_CDCONTCTBL_NEW     VARCHAR(20);
   DECLARE @V_IDPERVALOR_NEW     VARCHAR(1);
   DECLARE @V_CDREFERENCIA_NEW   VARCHAR(3);
   DECLARE @V_CDMODDOCFISC_NEW   VARCHAR(2);
   DECLARE @V_NRINSJURTRAN_NEW   VARCHAR(20);
   DECLARE @V_IDTPIJURTRAN_NEW   VARCHAR(1);
   DECLARE @V_CDTIPTRANS_NEW     VARCHAR(4);
   DECLARE @V_IDPGFRETTRANCLI_NEW VARCHAR(1);
   DECLARE @V_IDCOMPARQXMLCLI_NEW VARCHAR(1);
   DECLARE @V_NRINSCSUFRAMACL_NEW VARCHAR(9);
   DECLARE @V_IDGRAVOBSCLIPED_NEW VARCHAR(1);

/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC       = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDCLIEATIV = '';
   SET @V_NRINCREST  = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO  @V_NMOPERADOR;
   EXEC WEBTUNNING @V_DSREMOTEADDR,
                   @V_DSREMOTEHOST,
                   @V_DSSERVERRDM,
                   @V_DSSERVMETHOD,
                   @V_DSREMOTEOPER;

   DECLARE C_CURSOR CURSOR FOR
      SELECT
         'D' IDCOMANDO,

         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,

         IDCLIEATIV,
         NRINSESTCLIE,
         NRINSJURCLIE,
         IDTPIJURCLIE,
         NMRAZSOCCLIE,
         NMFANTCLIE,
         CDCLIENTE,
         NMAVALCLIE,
         VRPEMARGLUCR,
         QTCNDPG1CLIE,
         QTCNDPG2CLIE,
         QTCNDPG3CLIE,
         QTCNDPG4CLIE,
         QTCNDPG5CLIE,
         QTCNDPG6CLIE,
         IDFORMPGCLIE,
         VRPERPG1CLIE,
         VRPERPG2CLIE,
         VRPERPG3CLIE,
         VRPERPG4CLIE,
         VRPERPG5CLIE,
         VRPERPG6CLIE,
         CDFORMPGTO,
         IDTPFORPGTCL,
         NRPARCPGTOCL,
         NRDIAPGFIXCL,
         IDUTDIAPGTCL,
         VRPEMORBCLI,
         VRPEMULBCLI,
         CDSEGMER,
         CDATIVCLI,
         VRCAPITALCLI,
         VRPATLIQCLI,
         DTVALVALCLI,
         VRLIMCREDCLI,
         DTVALLIMCLI,
         CDTPCTRECEB,
         CDCSTDIG1CLI,
         IDENDEMISCLI,
         IDENDCFOPCLI,
         IDUTLICEUSO,
         CDVENDEDOR,
         IDTIPINFCOME,
         DTICOINFCOME,
         DTFCOINFCOME,
         DSHOMEPACLI,
         DTCADACLIE,
         IDCONTRIBCLI,
         IDCLIECONTRI,
         CDCFOPCLIE,
         DSCFOPCLIE,
         CDMODODIVULG,
         CDESTACIVIL,
         CDPROSPECT,
         CDESCOLARIDADE,
         CDESCOLA,
         CDFIAVALESTA,
         CDAVALESTA,
         NMMAECLIE,
         NMPAICLIE,
         DTNASCCLIE,
         DSNATURCLIE,
         IDSEXOCLIE,
         IDTRABCLIE,
         DSLOCTRCLIE,
         IDESTUDACLIE,
         IDTESTNIVCLI,
         VRTESTNIVCLI,
         IDTIPOCLIE,
         CDPROFISSAO,
         CDGRUPOFISC,
         NMRESPCLIE,
         DTTESTNIVCLI,
         NRCPFCLIE,
         NRRGCLIE,
         CDEXRGCLIE,
         DTEXRGCLIE,
         CDEMPFCAPCLI,
         CDFUNCCAPCLI,
         CDEMPFAPLTES,
         CDFUNCAPLTES,
         NRTURNO,
         IDSEGCLIP,
         IDTERCLIP,
         IDQUACLIP,
         IDQUICLIP,
         IDSEXCLIP,
         IDSABCLIP,
         IDDOMCLIP,
         IDRECINFMKT,
         CDFILORIGCLI,
         CDFILESTAPTO,
         CDESTAGIAPTO,
         CDEXCLIENTE,
         IDPRIPUBCLIE,
         VRPEFORPRECO,
         IDVERSALDCLI,
         IDUTSALDCLI,
         IDCALCDVCLIE,
         IDUTSUBCLIEN,
         VRPESUBCLIEN,
         IDLIBGERPER,
         NRDIAVALPERS,
         CDCARGOCNJCL,
         CDCARGOCLIE,
         NRCARPROCLIE,
         VRSALARICLIE,
         NMCONJUGCLIE,
         DTNASCNJCLIE,
         NMEMPCNJCLIE,
         VRSALCNJCLIE,
         NRCPFCNJCLIE,
         NRRGCNJCLIE,
         CDEXRGCNJCLI,
         DTEXRGCNJCLI,
         DTVALARQPERS,
         DSEMAILENVCL,
         DSEMAILCOMCL,
         IDRESPROPCLI,
         NRMESRESCLIE,
         NRANORESCLIE,
         IDZERSALDCON,
         IDGERNFCLIE,
         CDIDCLIENTE,
         IDSITFINCLIE,
         DTINITRCLIE,
         IDLIGEXTCLIE,
         DTULTMOVCLIE,
         DTCADACLPROS,
         VRFATUCLIE,
         NRFUNCCLIE,
         NRUNOPCLIE,
         CDQUALIF,
         QTIMPEXTRMES,
         VRPEMAXDESCL,
         CDMODPGTO,
         DTVALQUALIC,
         NRNOTACLIE,
         IDCLIEAUTO,
         CDGRUPCLIE,
         IDGERANFPEDI,
         IDPFINAPRPED,
         NRDIAPFINAPR,
         IDSFINAPRPED,
         IDUTCONSPEDI,
         VRCAPINTFUT,
         VRCAPINTCLIE,
         VRRESCAPCLIE,
         VRMERESTCLIE,
         CDREGIAOPED,
         CDFILTABPREC,
         CDTABEPREC,
         CDTPINDICE,
         CDINDICE,
         CDCONTCTBL,
         IDPERVALOR,
         CDREFERENCIA,
         CDMODDOCFISC,
         NRINSJURTRAN,
         IDTPIJURTRAN,
         CDTIPTRANS,
         IDPGFRETTRANCLI,
         IDCOMPARQXMLCLI,
         NRINSCSUFRAMACL,
         IDGRAVOBSCLIPED
      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)
      UNION ALL

      SELECT
         'U' IDCOMANDO,
         INSERTED.IDCLIEATIV,
         INSERTED.NRINSESTCLIE,
         INSERTED.NRINSJURCLIE,
         INSERTED.IDTPIJURCLIE,
         INSERTED.NMRAZSOCCLIE,
         INSERTED.NMFANTCLIE,
         INSERTED.CDCLIENTE,
         INSERTED.NMAVALCLIE,
         INSERTED.VRPEMARGLUCR,
         INSERTED.QTCNDPG1CLIE,
         INSERTED.QTCNDPG2CLIE,
         INSERTED.QTCNDPG3CLIE,
         INSERTED.QTCNDPG4CLIE,
         INSERTED.QTCNDPG5CLIE,
         INSERTED.QTCNDPG6CLIE,
         INSERTED.IDFORMPGCLIE,
         INSERTED.VRPERPG1CLIE,
         INSERTED.VRPERPG2CLIE,
         INSERTED.VRPERPG3CLIE,
         INSERTED.VRPERPG4CLIE,
         INSERTED.VRPERPG5CLIE,
         INSERTED.VRPERPG6CLIE,
         INSERTED.CDFORMPGTO,
         INSERTED.IDTPFORPGTCL,
         INSERTED.NRPARCPGTOCL,
         INSERTED.NRDIAPGFIXCL,
         INSERTED.IDUTDIAPGTCL,
         INSERTED.VRPEMORBCLI,
         INSERTED.VRPEMULBCLI,
         INSERTED.CDSEGMER,
         INSERTED.CDATIVCLI,
         INSERTED.VRCAPITALCLI,
         INSERTED.VRPATLIQCLI,
         INSERTED.DTVALVALCLI,
         INSERTED.VRLIMCREDCLI,
         INSERTED.DTVALLIMCLI,
         INSERTED.CDTPCTRECEB,
         INSERTED.CDCSTDIG1CLI,
         INSERTED.IDENDEMISCLI,
         INSERTED.IDENDCFOPCLI,
         INSERTED.IDUTLICEUSO,
         INSERTED.CDVENDEDOR,
         INSERTED.IDTIPINFCOME,
         INSERTED.DTICOINFCOME,
         INSERTED.DTFCOINFCOME,
         INSERTED.DSHOMEPACLI,
         INSERTED.DTCADACLIE,
         INSERTED.IDCONTRIBCLI,
         INSERTED.IDCLIECONTRI,
         INSERTED.CDCFOPCLIE,
         INSERTED.DSCFOPCLIE,
         INSERTED.CDMODODIVULG,
         INSERTED.CDESTACIVIL,
         INSERTED.CDPROSPECT,
         INSERTED.CDESCOLARIDADE,
         INSERTED.CDESCOLA,
         INSERTED.CDFIAVALESTA,
         INSERTED.CDAVALESTA,
         INSERTED.NMMAECLIE,
         INSERTED.NMPAICLIE,
         INSERTED.DTNASCCLIE,
         INSERTED.DSNATURCLIE,
         INSERTED.IDSEXOCLIE,
         INSERTED.IDTRABCLIE,
         INSERTED.DSLOCTRCLIE,
         INSERTED.IDESTUDACLIE,
         INSERTED.IDTESTNIVCLI,
         INSERTED.VRTESTNIVCLI,
         INSERTED.IDTIPOCLIE,
         INSERTED.CDPROFISSAO,
         INSERTED.CDGRUPOFISC,
         INSERTED.NMRESPCLIE,
         INSERTED.DTTESTNIVCLI,
         INSERTED.NRCPFCLIE,
         INSERTED.NRRGCLIE,
         INSERTED.CDEXRGCLIE,
         INSERTED.DTEXRGCLIE,
         INSERTED.CDEMPFCAPCLI,
         INSERTED.CDFUNCCAPCLI,
         INSERTED.CDEMPFAPLTES,
         INSERTED.CDFUNCAPLTES,
         INSERTED.NRTURNO,
         INSERTED.IDSEGCLIP,
         INSERTED.IDTERCLIP,
         INSERTED.IDQUACLIP,
         INSERTED.IDQUICLIP,
         INSERTED.IDSEXCLIP,
         INSERTED.IDSABCLIP,
         INSERTED.IDDOMCLIP,
         INSERTED.IDRECINFMKT,
         INSERTED.CDFILORIGCLI,
         INSERTED.CDFILESTAPTO,
         INSERTED.CDESTAGIAPTO,
         INSERTED.CDEXCLIENTE,
         INSERTED.IDPRIPUBCLIE,
         INSERTED.VRPEFORPRECO,
         INSERTED.IDVERSALDCLI,
         INSERTED.IDUTSALDCLI,
         INSERTED.IDCALCDVCLIE,
         INSERTED.IDUTSUBCLIEN,
         INSERTED.VRPESUBCLIEN,
         INSERTED.IDLIBGERPER,
         INSERTED.NRDIAVALPERS,
         INSERTED.CDCARGOCNJCL,
         INSERTED.CDCARGOCLIE,
         INSERTED.NRCARPROCLIE,
         INSERTED.VRSALARICLIE,
         INSERTED.NMCONJUGCLIE,
         INSERTED.DTNASCNJCLIE,
         INSERTED.NMEMPCNJCLIE,
         INSERTED.VRSALCNJCLIE,
         INSERTED.NRCPFCNJCLIE,
         INSERTED.NRRGCNJCLIE,
         INSERTED.CDEXRGCNJCLI,
         INSERTED.DTEXRGCNJCLI,
         INSERTED.DTVALARQPERS,
         INSERTED.DSEMAILENVCL,
         INSERTED.DSEMAILCOMCL,
         INSERTED.IDRESPROPCLI,
         INSERTED.NRMESRESCLIE,
         INSERTED.NRANORESCLIE,
         INSERTED.IDZERSALDCON,
         INSERTED.IDGERNFCLIE,
         INSERTED.CDIDCLIENTE,
         INSERTED.IDSITFINCLIE,
         INSERTED.DTINITRCLIE,
         INSERTED.IDLIGEXTCLIE,
         INSERTED.DTULTMOVCLIE,
         INSERTED.DTCADACLPROS,
         INSERTED.VRFATUCLIE,
         INSERTED.NRFUNCCLIE,
         INSERTED.NRUNOPCLIE,
         INSERTED.CDQUALIF,
         INSERTED.QTIMPEXTRMES,
         INSERTED.VRPEMAXDESCL,
         INSERTED.CDMODPGTO,
         INSERTED.DTVALQUALIC,
         INSERTED.NRNOTACLIE,
         INSERTED.IDCLIEAUTO,
         INSERTED.CDGRUPCLIE,
         INSERTED.IDGERANFPEDI,
         INSERTED.IDPFINAPRPED,
         INSERTED.NRDIAPFINAPR,
         INSERTED.IDSFINAPRPED,
         INSERTED.IDUTCONSPEDI,
         INSERTED.VRCAPINTFUT,
         INSERTED.VRCAPINTCLIE,
         INSERTED.VRRESCAPCLIE,
         INSERTED.VRMERESTCLIE,
         INSERTED.CDREGIAOPED,
         INSERTED.CDFILTABPREC,
         INSERTED.CDTABEPREC,
         INSERTED.CDTPINDICE,
         INSERTED.CDINDICE,
         INSERTED.CDCONTCTBL,
         INSERTED.IDPERVALOR,
         INSERTED.CDREFERENCIA,
         INSERTED.CDMODDOCFISC,
         INSERTED.NRINSJURTRAN,
         INSERTED.IDTPIJURTRAN,
         INSERTED.CDTIPTRANS,
         INSERTED.IDPGFRETTRANCLI,
         INSERTED.IDCOMPARQXMLCLI,
         INSERTED.NRINSCSUFRAMACL,
         INSERTED.IDGRAVOBSCLIPED,

         DELETED.IDCLIEATIV,
         DELETED.NRINSESTCLIE,
         DELETED.NRINSJURCLIE,
         DELETED.IDTPIJURCLIE,
         DELETED.NMRAZSOCCLIE,
         DELETED.NMFANTCLIE,
         DELETED.CDCLIENTE,
         DELETED.NMAVALCLIE,
         DELETED.VRPEMARGLUCR,
         DELETED.QTCNDPG1CLIE,
         DELETED.QTCNDPG2CLIE,
         DELETED.QTCNDPG3CLIE,
         DELETED.QTCNDPG4CLIE,
         DELETED.QTCNDPG5CLIE,
         DELETED.QTCNDPG6CLIE,
         DELETED.IDFORMPGCLIE,
         DELETED.VRPERPG1CLIE,
         DELETED.VRPERPG2CLIE,
         DELETED.VRPERPG3CLIE,
         DELETED.VRPERPG4CLIE,
         DELETED.VRPERPG5CLIE,
         DELETED.VRPERPG6CLIE,
         DELETED.CDFORMPGTO,
         DELETED.IDTPFORPGTCL,
         DELETED.NRPARCPGTOCL,
         DELETED.NRDIAPGFIXCL,
         DELETED.IDUTDIAPGTCL,
         DELETED.VRPEMORBCLI,
         DELETED.VRPEMULBCLI,
         DELETED.CDSEGMER,
         DELETED.CDATIVCLI,
         DELETED.VRCAPITALCLI,
         DELETED.VRPATLIQCLI,
         DELETED.DTVALVALCLI,
         DELETED.VRLIMCREDCLI,
         DELETED.DTVALLIMCLI,
         DELETED.CDTPCTRECEB,
         DELETED.CDCSTDIG1CLI,
         DELETED.IDENDEMISCLI,
         DELETED.IDENDCFOPCLI,
         DELETED.IDUTLICEUSO,
         DELETED.CDVENDEDOR,
         DELETED.IDTIPINFCOME,
         DELETED.DTICOINFCOME,
         DELETED.DTFCOINFCOME,
         DELETED.DSHOMEPACLI,
         DELETED.DTCADACLIE,
         DELETED.IDCONTRIBCLI,
         DELETED.IDCLIECONTRI,
         DELETED.CDCFOPCLIE,
         DELETED.DSCFOPCLIE,
         DELETED.CDMODODIVULG,
         DELETED.CDESTACIVIL,
         DELETED.CDPROSPECT,
         DELETED.CDESCOLARIDADE,
         DELETED.CDESCOLA,
         DELETED.CDFIAVALESTA,
         DELETED.CDAVALESTA,
         DELETED.NMMAECLIE,
         DELETED.NMPAICLIE,
         DELETED.DTNASCCLIE,
         DELETED.DSNATURCLIE,
         DELETED.IDSEXOCLIE,
         DELETED.IDTRABCLIE,
         DELETED.DSLOCTRCLIE,
         DELETED.IDESTUDACLIE,
         DELETED.IDTESTNIVCLI,
         DELETED.VRTESTNIVCLI,
         DELETED.IDTIPOCLIE,
         DELETED.CDPROFISSAO,
         DELETED.CDGRUPOFISC,
         DELETED.NMRESPCLIE,
         DELETED.DTTESTNIVCLI,
         DELETED.NRCPFCLIE,
         DELETED.NRRGCLIE,
         DELETED.CDEXRGCLIE,
         DELETED.DTEXRGCLIE,
         DELETED.CDEMPFCAPCLI,
         DELETED.CDFUNCCAPCLI,
         DELETED.CDEMPFAPLTES,
         DELETED.CDFUNCAPLTES,
         DELETED.NRTURNO,
         DELETED.IDSEGCLIP,
         DELETED.IDTERCLIP,
         DELETED.IDQUACLIP,
         DELETED.IDQUICLIP,
         DELETED.IDSEXCLIP,
         DELETED.IDSABCLIP,
         DELETED.IDDOMCLIP,
         DELETED.IDRECINFMKT,
         DELETED.CDFILORIGCLI,
         DELETED.CDFILESTAPTO,
         DELETED.CDESTAGIAPTO,
         DELETED.CDEXCLIENTE,
         DELETED.IDPRIPUBCLIE,
         DELETED.VRPEFORPRECO,
         DELETED.IDVERSALDCLI,
         DELETED.IDUTSALDCLI,
         DELETED.IDCALCDVCLIE,
         DELETED.IDUTSUBCLIEN,
         DELETED.VRPESUBCLIEN,
         DELETED.IDLIBGERPER,
         DELETED.NRDIAVALPERS,
         DELETED.CDCARGOCNJCL,
         DELETED.CDCARGOCLIE,
         DELETED.NRCARPROCLIE,
         DELETED.VRSALARICLIE,
         DELETED.NMCONJUGCLIE,
         DELETED.DTNASCNJCLIE,
         DELETED.NMEMPCNJCLIE,
         DELETED.VRSALCNJCLIE,
         DELETED.NRCPFCNJCLIE,
         DELETED.NRRGCNJCLIE,
         DELETED.CDEXRGCNJCLI,
         DELETED.DTEXRGCNJCLI,
         DELETED.DTVALARQPERS,
         DELETED.DSEMAILENVCL,
         DELETED.DSEMAILCOMCL,
         DELETED.IDRESPROPCLI,
         DELETED.NRMESRESCLIE,
         DELETED.NRANORESCLIE,
         DELETED.IDZERSALDCON,
         DELETED.IDGERNFCLIE,
         DELETED.CDIDCLIENTE,
         DELETED.IDSITFINCLIE,
         DELETED.DTINITRCLIE,
         DELETED.IDLIGEXTCLIE,
         DELETED.DTULTMOVCLIE,
         DELETED.DTCADACLPROS,
         DELETED.VRFATUCLIE,
         DELETED.NRFUNCCLIE,
         DELETED.NRUNOPCLIE,
         DELETED.CDQUALIF,
         DELETED.QTIMPEXTRMES,
         DELETED.VRPEMAXDESCL,
         DELETED.CDMODPGTO,
         DELETED.DTVALQUALIC,
         DELETED.NRNOTACLIE,
         DELETED.IDCLIEAUTO,
         DELETED.CDGRUPCLIE,
         DELETED.IDGERANFPEDI,
         DELETED.IDPFINAPRPED,
         DELETED.NRDIAPFINAPR,
         DELETED.IDSFINAPRPED,
         DELETED.IDUTCONSPEDI,
         DELETED.VRCAPINTFUT,
         DELETED.VRCAPINTCLIE,
         DELETED.VRRESCAPCLIE,
         DELETED.VRMERESTCLIE,
         DELETED.CDREGIAOPED,
         DELETED.CDFILTABPREC,
         DELETED.CDTABEPREC,
         DELETED.CDTPINDICE,
         DELETED.CDINDICE,
         DELETED.CDCONTCTBL,
         DELETED.IDPERVALOR,
         DELETED.CDREFERENCIA,
         DELETED.CDMODDOCFISC,
         DELETED.NRINSJURTRAN,
         DELETED.IDTPIJURTRAN,
         DELETED.CDTIPTRANS,
         DELETED.IDPGFRETTRANCLI,
         DELETED.IDCOMPARQXMLCLI,
         DELETED.NRINSCSUFRAMACL,
         DELETED.IDGRAVOBSCLIPED
      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.CDCLIENTE  = DELETED.CDCLIENTE

      UNION ALL

      SELECT
        'I' IDCOMANDO,
         INSERTED.IDCLIEATIV,
         INSERTED.NRINSESTCLIE,
         INSERTED.NRINSJURCLIE,
         INSERTED.IDTPIJURCLIE,
         INSERTED.NMRAZSOCCLIE,
         INSERTED.NMFANTCLIE,
         INSERTED.CDCLIENTE,
         INSERTED.NMAVALCLIE,
         INSERTED.VRPEMARGLUCR,
         INSERTED.QTCNDPG1CLIE,
         INSERTED.QTCNDPG2CLIE,
         INSERTED.QTCNDPG3CLIE,
         INSERTED.QTCNDPG4CLIE,
         INSERTED.QTCNDPG5CLIE,
         INSERTED.QTCNDPG6CLIE,
         INSERTED.IDFORMPGCLIE,
         INSERTED.VRPERPG1CLIE,
         INSERTED.VRPERPG2CLIE,
         INSERTED.VRPERPG3CLIE,
         INSERTED.VRPERPG4CLIE,
         INSERTED.VRPERPG5CLIE,
         INSERTED.VRPERPG6CLIE,
         INSERTED.CDFORMPGTO,
         INSERTED.IDTPFORPGTCL,
         INSERTED.NRPARCPGTOCL,
         INSERTED.NRDIAPGFIXCL,
         INSERTED.IDUTDIAPGTCL,
         INSERTED.VRPEMORBCLI,
         INSERTED.VRPEMULBCLI,
         INSERTED.CDSEGMER,
         INSERTED.CDATIVCLI,
         INSERTED.VRCAPITALCLI,
         INSERTED.VRPATLIQCLI,
         INSERTED.DTVALVALCLI,
         INSERTED.VRLIMCREDCLI,
         INSERTED.DTVALLIMCLI,
         INSERTED.CDTPCTRECEB,
         INSERTED.CDCSTDIG1CLI,
         INSERTED.IDENDEMISCLI,
         INSERTED.IDENDCFOPCLI,
         INSERTED.IDUTLICEUSO,
         INSERTED.CDVENDEDOR,
         INSERTED.IDTIPINFCOME,
         INSERTED.DTICOINFCOME,
         INSERTED.DTFCOINFCOME,
         INSERTED.DSHOMEPACLI,
         INSERTED.DTCADACLIE,
         INSERTED.IDCONTRIBCLI,
         INSERTED.IDCLIECONTRI,
         INSERTED.CDCFOPCLIE,
         INSERTED.DSCFOPCLIE,
         INSERTED.CDMODODIVULG,
         INSERTED.CDESTACIVIL,
         INSERTED.CDPROSPECT,
         INSERTED.CDESCOLARIDADE,
         INSERTED.CDESCOLA,
         INSERTED.CDFIAVALESTA,
         INSERTED.CDAVALESTA,
         INSERTED.NMMAECLIE,
         INSERTED.NMPAICLIE,
         INSERTED.DTNASCCLIE,
         INSERTED.DSNATURCLIE,
         INSERTED.IDSEXOCLIE,
         INSERTED.IDTRABCLIE,
         INSERTED.DSLOCTRCLIE,
         INSERTED.IDESTUDACLIE,
         INSERTED.IDTESTNIVCLI,
         INSERTED.VRTESTNIVCLI,
         INSERTED.IDTIPOCLIE,
         INSERTED.CDPROFISSAO,
         INSERTED.CDGRUPOFISC,
         INSERTED.NMRESPCLIE,
         INSERTED.DTTESTNIVCLI,
         INSERTED.NRCPFCLIE,
         INSERTED.NRRGCLIE,
         INSERTED.CDEXRGCLIE,
         INSERTED.DTEXRGCLIE,
         INSERTED.CDEMPFCAPCLI,
         INSERTED.CDFUNCCAPCLI,
         INSERTED.CDEMPFAPLTES,
         INSERTED.CDFUNCAPLTES,
         INSERTED.NRTURNO,
         INSERTED.IDSEGCLIP,
         INSERTED.IDTERCLIP,
         INSERTED.IDQUACLIP,
         INSERTED.IDQUICLIP,
         INSERTED.IDSEXCLIP,
         INSERTED.IDSABCLIP,
         INSERTED.IDDOMCLIP,
         INSERTED.IDRECINFMKT,
         INSERTED.CDFILORIGCLI,
         INSERTED.CDFILESTAPTO,
         INSERTED.CDESTAGIAPTO,
         INSERTED.CDEXCLIENTE,
         INSERTED.IDPRIPUBCLIE,
         INSERTED.VRPEFORPRECO,
         INSERTED.IDVERSALDCLI,
         INSERTED.IDUTSALDCLI,
         INSERTED.IDCALCDVCLIE,
         INSERTED.IDUTSUBCLIEN,
         INSERTED.VRPESUBCLIEN,
         INSERTED.IDLIBGERPER,
         INSERTED.NRDIAVALPERS,
         INSERTED.CDCARGOCNJCL,
         INSERTED.CDCARGOCLIE,
         INSERTED.NRCARPROCLIE,
         INSERTED.VRSALARICLIE,
         INSERTED.NMCONJUGCLIE,
         INSERTED.DTNASCNJCLIE,
         INSERTED.NMEMPCNJCLIE,
         INSERTED.VRSALCNJCLIE,
         INSERTED.NRCPFCNJCLIE,
         INSERTED.NRRGCNJCLIE,
         INSERTED.CDEXRGCNJCLI,
         INSERTED.DTEXRGCNJCLI,
         INSERTED.DTVALARQPERS,
         INSERTED.DSEMAILENVCL,
         INSERTED.DSEMAILCOMCL,
         INSERTED.IDRESPROPCLI,
         INSERTED.NRMESRESCLIE,
         INSERTED.NRANORESCLIE,
         INSERTED.IDZERSALDCON,
         INSERTED.IDGERNFCLIE,
         INSERTED.CDIDCLIENTE,
         INSERTED.IDSITFINCLIE,
         INSERTED.DTINITRCLIE,
         INSERTED.IDLIGEXTCLIE,
         INSERTED.DTULTMOVCLIE,
         INSERTED.DTCADACLPROS,
         INSERTED.VRFATUCLIE,
         INSERTED.NRFUNCCLIE,
         INSERTED.NRUNOPCLIE,
         INSERTED.CDQUALIF,
         INSERTED.QTIMPEXTRMES,
         INSERTED.VRPEMAXDESCL,
         INSERTED.CDMODPGTO,
         INSERTED.DTVALQUALIC,
         INSERTED.NRNOTACLIE,
         INSERTED.IDCLIEAUTO,
         INSERTED.CDGRUPCLIE,
         INSERTED.IDGERANFPEDI,
         INSERTED.IDPFINAPRPED,
         INSERTED.NRDIAPFINAPR,
         INSERTED.IDSFINAPRPED,
         INSERTED.IDUTCONSPEDI,
         INSERTED.VRCAPINTFUT,
         INSERTED.VRCAPINTCLIE,
         INSERTED.VRRESCAPCLIE,
         INSERTED.VRMERESTCLIE,
         INSERTED.CDREGIAOPED,
         INSERTED.CDFILTABPREC,
         INSERTED.CDTABEPREC,
         INSERTED.CDTPINDICE,
         INSERTED.CDINDICE,
         INSERTED.CDCONTCTBL,
         INSERTED.IDPERVALOR,
         INSERTED.CDREFERENCIA,
         INSERTED.CDMODDOCFISC,
         INSERTED.NRINSJURTRAN,
         INSERTED.IDTPIJURTRAN,
         INSERTED.CDTIPTRANS,
         INSERTED.IDPGFRETTRANCLI,
         INSERTED.IDCOMPARQXMLCLI,
         INSERTED.NRINSCSUFRAMACL,
         INSERTED.IDGRAVOBSCLIPED,

         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL,
         NULL
     FROM
        INSERTED
     WHERE
        0 = (SELECT COUNT(*) FROM DELETED)

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_TRIGGER,

                                 @V_IDCLIEATIV_OLD,
                                 @V_NRINSESTCLIE_OLD,
                                 @V_NRINSJURCLIE_OLD,
                                 @V_IDTPIJURCLIE_OLD,
                                 @V_NMRAZSOCCLIE_OLD,
                                 @V_NMFANTCLIE_OLD,
                                 @V_CDCLIENTE_OLD,
                                 @V_NMAVALCLIE_OLD,
                                 @V_VRPEMARGLUCR_OLD,
                                 @V_QTCNDPG1CLIE_OLD,
                                 @V_QTCNDPG2CLIE_OLD,
                                 @V_QTCNDPG3CLIE_OLD,
                                 @V_QTCNDPG4CLIE_OLD,
                                 @V_QTCNDPG5CLIE_OLD,
                                 @V_QTCNDPG6CLIE_OLD,
                                 @V_IDFORMPGCLIE_OLD,
                                 @V_VRPERPG1CLIE_OLD,
                                 @V_VRPERPG2CLIE_OLD,
                                 @V_VRPERPG3CLIE_OLD,
                                 @V_VRPERPG4CLIE_OLD,
                                 @V_VRPERPG5CLIE_OLD,
                                 @V_VRPERPG6CLIE_OLD,
                                 @V_CDFORMPGTO_OLD  ,
                                 @V_IDTPFORPGTCL_OLD,
                                 @V_NRPARCPGTOCL_OLD,
                                 @V_NRDIAPGFIXCL_OLD,
                                 @V_IDUTDIAPGTCL_OLD,
                                 @V_VRPEMORBCLI_OLD ,
                                 @V_VRPEMULBCLI_OLD ,
                                 @V_CDSEGMER_OLD    ,
                                 @V_CDATIVCLI_OLD   ,
                                 @V_VRCAPITALCLI_OLD,
                                 @V_VRPATLIQCLI_OLD ,
                                 @V_DTVALVALCLI_OLD ,
                                 @V_VRLIMCREDCLI_OLD,
                                 @V_DTVALLIMCLI_OLD ,
                                 @V_CDTPCTRECEB_OLD ,
                                 @V_CDCSTDIG1CLI_OLD,
                                 @V_IDENDEMISCLI_OLD,
                                 @V_IDENDCFOPCLI_OLD,
                                 @V_IDUTLICEUSO_OLD ,
                                 @V_CDVENDEDOR_OLD  ,
                                 @V_IDTIPINFCOME_OLD,
                                 @V_DTICOINFCOME_OLD,
                                 @V_DTFCOINFCOME_OLD,
                                 @V_DSHOMEPACLI_OLD ,
                                 @V_DTCADACLIE_OLD  ,
                                 @V_IDCONTRIBCLI_OLD,
                                 @V_IDCLIECONTRI_OLD,
                                 @V_CDCFOPCLIE_OLD  ,
                                 @V_DSCFOPCLIE_OLD  ,
                                 @V_CDMODODIVULG_OLD,
                                 @V_CDESTACIVIL_OLD ,
                                 @V_CDPROSPECT_OLD  ,
                                 @V_CDESCOLARIDADE_OLD,
                                 @V_CDESCOLA_OLD      ,
                                 @V_CDFIAVALESTA_OLD  ,
                                 @V_CDAVALESTA_OLD    ,
                                 @V_NMMAECLIE_OLD     ,
                                 @V_NMPAICLIE_OLD     ,
                                 @V_DTNASCCLIE_OLD    ,
                                 @V_DSNATURCLIE_OLD   ,
                                 @V_IDSEXOCLIE_OLD    ,
                                 @V_IDTRABCLIE_OLD    ,
                                 @V_DSLOCTRCLIE_OLD   ,
                                 @V_IDESTUDACLIE_OLD  ,
                                 @V_IDTESTNIVCLI_OLD  ,
                                 @V_VRTESTNIVCLI_OLD  ,
                                 @V_IDTIPOCLIE_OLD    ,
                                 @V_CDPROFISSAO_OLD   ,
                                 @V_CDGRUPOFISC_OLD   ,
                                 @V_NMRESPCLIE_OLD    ,
                                 @V_DTTESTNIVCLI_OLD  ,
                                 @V_NRCPFCLIE_OLD     ,
                                 @V_NRRGCLIE_OLD      ,
                                 @V_CDEXRGCLIE_OLD    ,
                                 @V_DTEXRGCLIE_OLD    ,
                                 @V_CDEMPFCAPCLI_OLD  ,
                                 @V_CDFUNCCAPCLI_OLD  ,
                                 @V_CDEMPFAPLTES_OLD  ,
                                 @V_CDFUNCAPLTES_OLD  ,
                                 @V_NRTURNO_OLD       ,
                                 @V_IDSEGCLIP_OLD     ,
                                 @V_IDTERCLIP_OLD     ,
                                 @V_IDQUACLIP_OLD     ,
                                 @V_IDQUICLIP_OLD     ,
                                 @V_IDSEXCLIP_OLD     ,
                                 @V_IDSABCLIP_OLD     ,
                                 @V_IDDOMCLIP_OLD     ,
                                 @V_IDRECINFMKT_OLD   ,
                                 @V_CDFILORIGCLI_OLD  ,
                                 @V_CDFILESTAPTO_OLD  ,
                                 @V_CDESTAGIAPTO_OLD  ,
                                 @V_CDEXCLIENTE_OLD   ,
                                 @V_IDPRIPUBCLIE_OLD  ,
                                 @V_VRPEFORPRECO_OLD  ,
                                 @V_IDVERSALDCLI_OLD  ,
                                 @V_IDUTSALDCLI_OLD   ,
                                 @V_IDCALCDVCLIE_OLD  ,
                                 @V_IDUTSUBCLIEN_OLD  ,
                                 @V_VRPESUBCLIEN_OLD  ,
                                 @V_IDLIBGERPER_OLD   ,
                                 @V_NRDIAVALPERS_OLD  ,
                                 @V_CDCARGOCNJCL_OLD  ,
                                 @V_CDCARGOCLIE_OLD   ,
                                 @V_NRCARPROCLIE_OLD  ,
                                 @V_VRSALARICLIE_OLD  ,
                                 @V_NMCONJUGCLIE_OLD  ,
                                 @V_DTNASCNJCLIE_OLD  ,
                                 @V_NMEMPCNJCLIE_OLD  ,
                                 @V_VRSALCNJCLIE_OLD  ,
                                 @V_NRCPFCNJCLIE_OLD  ,
                                 @V_NRRGCNJCLIE_OLD   ,
                                 @V_CDEXRGCNJCLI_OLD  ,
                                 @V_DTEXRGCNJCLI_OLD  ,
                                 @V_DTVALARQPERS_OLD  ,
                                 @V_DSEMAILENVCL_OLD  ,
                                 @V_DSEMAILCOMCL_OLD  ,
                                 @V_IDRESPROPCLI_OLD  ,
                                 @V_NRMESRESCLIE_OLD  ,
                                 @V_NRANORESCLIE_OLD  ,
                                 @V_IDZERSALDCON_OLD  ,
                                 @V_IDGERNFCLIE_OLD   ,
                                 @V_CDIDCLIENTE_OLD   ,
                                 @V_IDSITFINCLIE_OLD  ,
                                 @V_DTINITRCLIE_OLD   ,
                                 @V_IDLIGEXTCLIE_OLD  ,
                                 @V_DTULTMOVCLIE_OLD  ,
                                 @V_DTCADACLPROS_OLD  ,
                                 @V_VRFATUCLIE_OLD    ,
                                 @V_NRFUNCCLIE_OLD    ,
                                 @V_NRUNOPCLIE_OLD    ,
                                 @V_CDQUALIF_OLD      ,
                                 @V_QTIMPEXTRMES_OLD  ,
                                 @V_VRPEMAXDESCL_OLD  ,
                                 @V_CDMODPGTO_OLD     ,
                                 @V_DTVALQUALIC_OLD   ,
                                 @V_NRNOTACLIE_OLD    ,
                                 @V_IDCLIEAUTO_OLD    ,
                                 @V_CDGRUPCLIE_OLD    ,
                                 @V_IDGERANFPEDI_OLD  ,
                                 @V_IDPFINAPRPED_OLD  ,
                                 @V_NRDIAPFINAPR_OLD  ,
                                 @V_IDSFINAPRPED_OLD  ,
                                 @V_IDUTCONSPEDI_OLD  ,
                                 @V_VRCAPINTFUT_OLD   ,
                                 @V_VRCAPINTCLIE_OLD  ,
                                 @V_VRRESCAPCLIE_OLD  ,
                                 @V_VRMERESTCLIE_OLD  ,
                                 @V_CDREGIAOPED_OLD   ,
                                 @V_CDFILTABPREC_OLD  ,
                                 @V_CDTABEPREC_OLD    ,
                                 @V_CDTPINDICE_OLD    ,
                                 @V_CDINDICE_OLD      ,
                                 @V_CDCONTCTBL_OLD    ,
                                 @V_IDPERVALOR_OLD    ,
                                 @V_CDREFERENCIA_OLD  ,
                                 @V_CDMODDOCFISC_OLD  ,
                                 @V_NRINSJURTRAN_OLD  ,
                                 @V_IDTPIJURTRAN_OLD  ,
                                 @V_CDTIPTRANS_OLD    ,
                                 @V_IDPGFRETTRANCLI_OLD,
                                 @V_IDCOMPARQXMLCLI_OLD,
                                 @V_NRINSCSUFRAMACL_OLD,
                                 @V_IDGRAVOBSCLIPED_OLD,

                                 @V_IDCLIEATIV_NEW    ,
                                 @V_NRINSESTCLIE_NEW  ,
                                 @V_NRINSJURCLIE_NEW  ,
                                 @V_IDTPIJURCLIE_NEW  ,
                                 @V_NMRAZSOCCLIE_NEW  ,
                                 @V_NMFANTCLIE_NEW    ,
                                 @V_CDCLIENTE_NEW     ,
                                 @V_NMAVALCLIE_NEW    ,
                                 @V_VRPEMARGLUCR_NEW  ,
                                 @V_QTCNDPG1CLIE_NEW  ,
                                 @V_QTCNDPG2CLIE_NEW  ,
                                 @V_QTCNDPG3CLIE_NEW  ,
                                 @V_QTCNDPG4CLIE_NEW  ,
                                 @V_QTCNDPG5CLIE_NEW  ,
                                 @V_QTCNDPG6CLIE_NEW  ,
                                 @V_IDFORMPGCLIE_NEW  ,
                                 @V_VRPERPG1CLIE_NEW  ,
                                 @V_VRPERPG2CLIE_NEW  ,
                                 @V_VRPERPG3CLIE_NEW  ,
                                 @V_VRPERPG4CLIE_NEW  ,
                                 @V_VRPERPG5CLIE_NEW  ,
                                 @V_VRPERPG6CLIE_NEW  ,
                                 @V_CDFORMPGTO_NEW    ,
                                 @V_IDTPFORPGTCL_NEW  ,
                                 @V_NRPARCPGTOCL_NEW  ,
                                 @V_NRDIAPGFIXCL_NEW  ,
                                 @V_IDUTDIAPGTCL_NEW  ,
                                 @V_VRPEMORBCLI_NEW   ,
                                 @V_VRPEMULBCLI_NEW   ,
                                 @V_CDSEGMER_NEW      ,
                                 @V_CDATIVCLI_NEW     ,
                                 @V_VRCAPITALCLI_NEW  ,
                                 @V_VRPATLIQCLI_NEW   ,
                                 @V_DTVALVALCLI_NEW   ,
                                 @V_VRLIMCREDCLI_NEW  ,
                                 @V_DTVALLIMCLI_NEW   ,
                                 @V_CDTPCTRECEB_NEW   ,
                                 @V_CDCSTDIG1CLI_NEW  ,
                                 @V_IDENDEMISCLI_NEW  ,
                                 @V_IDENDCFOPCLI_NEW  ,
                                 @V_IDUTLICEUSO_NEW   ,
                                 @V_CDVENDEDOR_NEW    ,
                                 @V_IDTIPINFCOME_NEW  ,
                                 @V_DTICOINFCOME_NEW  ,
                                 @V_DTFCOINFCOME_NEW  ,
                                 @V_DSHOMEPACLI_NEW   ,
                                 @V_DTCADACLIE_NEW    ,
                                 @V_IDCONTRIBCLI_NEW  ,
                                 @V_IDCLIECONTRI_NEW  ,
                                 @V_CDCFOPCLIE_NEW    ,
                                 @V_DSCFOPCLIE_NEW    ,
                                 @V_CDMODODIVULG_NEW  ,
                                 @V_CDESTACIVIL_NEW   ,
                                 @V_CDPROSPECT_NEW    ,
                                 @V_CDESCOLARIDADE_NEW,
                                 @V_CDESCOLA_NEW      ,
                                 @V_CDFIAVALESTA_NEW  ,
                                 @V_CDAVALESTA_NEW    ,
                                 @V_NMMAECLIE_NEW     ,
                                 @V_NMPAICLIE_NEW     ,
                                 @V_DTNASCCLIE_NEW    ,
                                 @V_DSNATURCLIE_NEW   ,
                                 @V_IDSEXOCLIE_NEW    ,
                                 @V_IDTRABCLIE_NEW    ,
                                 @V_DSLOCTRCLIE_NEW   ,
                                 @V_IDESTUDACLIE_NEW  ,
                                 @V_IDTESTNIVCLI_NEW  ,
                                 @V_VRTESTNIVCLI_NEW  ,
                                 @V_IDTIPOCLIE_NEW    ,
                                 @V_CDPROFISSAO_NEW   ,
                                 @V_CDGRUPOFISC_NEW   ,
                                 @V_NMRESPCLIE_NEW    ,
                                 @V_DTTESTNIVCLI_NEW  ,
                                 @V_NRCPFCLIE_NEW     ,
                                 @V_NRRGCLIE_NEW      ,
                                 @V_CDEXRGCLIE_NEW    ,
                                 @V_DTEXRGCLIE_NEW    ,
                                 @V_CDEMPFCAPCLI_NEW  ,
                                 @V_CDFUNCCAPCLI_NEW  ,
                                 @V_CDEMPFAPLTES_NEW  ,
                                 @V_CDFUNCAPLTES_NEW  ,
                                 @V_NRTURNO_NEW       ,
                                 @V_IDSEGCLIP_NEW     ,
                                 @V_IDTERCLIP_NEW     ,
                                 @V_IDQUACLIP_NEW     ,
                                 @V_IDQUICLIP_NEW     ,
                                 @V_IDSEXCLIP_NEW     ,
                                 @V_IDSABCLIP_NEW     ,
                                 @V_IDDOMCLIP_NEW     ,
                                 @V_IDRECINFMKT_NEW   ,
                                 @V_CDFILORIGCLI_NEW  ,
                                 @V_CDFILESTAPTO_NEW  ,
                                 @V_CDESTAGIAPTO_NEW  ,
                                 @V_CDEXCLIENTE_NEW   ,
                                 @V_IDPRIPUBCLIE_NEW  ,
                                 @V_VRPEFORPRECO_NEW  ,
                                 @V_IDVERSALDCLI_NEW  ,
                                 @V_IDUTSALDCLI_NEW   ,
                                 @V_IDCALCDVCLIE_NEW  ,
                                 @V_IDUTSUBCLIEN_NEW  ,
                                 @V_VRPESUBCLIEN_NEW  ,
                                 @V_IDLIBGERPER_NEW   ,
                                 @V_NRDIAVALPERS_NEW  ,
                                 @V_CDCARGOCNJCL_NEW  ,
                                 @V_CDCARGOCLIE_NEW   ,
                                 @V_NRCARPROCLIE_NEW  ,
                                 @V_VRSALARICLIE_NEW  ,
                                 @V_NMCONJUGCLIE_NEW  ,
                                 @V_DTNASCNJCLIE_NEW  ,
                                 @V_NMEMPCNJCLIE_NEW  ,
                                 @V_VRSALCNJCLIE_NEW  ,
                                 @V_NRCPFCNJCLIE_NEW  ,
                                 @V_NRRGCNJCLIE_NEW   ,
                                 @V_CDEXRGCNJCLI_NEW  ,
                                 @V_DTEXRGCNJCLI_NEW  ,
                                 @V_DTVALARQPERS_NEW  ,
                                 @V_DSEMAILENVCL_NEW  ,
                                 @V_DSEMAILCOMCL_NEW  ,
                                 @V_IDRESPROPCLI_NEW  ,
                                 @V_NRMESRESCLIE_NEW  ,
                                 @V_NRANORESCLIE_NEW  ,
                                 @V_IDZERSALDCON_NEW  ,
                                 @V_IDGERNFCLIE_NEW   ,
                                 @V_CDIDCLIENTE_NEW   ,
                                 @V_IDSITFINCLIE_NEW  ,
                                 @V_DTINITRCLIE_NEW   ,
                                 @V_IDLIGEXTCLIE_NEW  ,
                                 @V_DTULTMOVCLIE_NEW  ,
                                 @V_DTCADACLPROS_NEW  ,
                                 @V_VRFATUCLIE_NEW    ,
                                 @V_NRFUNCCLIE_NEW    ,
                                 @V_NRUNOPCLIE_NEW    ,
                                 @V_CDQUALIF_NEW      ,
                                 @V_QTIMPEXTRMES_NEW  ,
                                 @V_VRPEMAXDESCL_NEW  ,
                                 @V_CDMODPGTO_NEW     ,
                                 @V_DTVALQUALIC_NEW   ,
                                 @V_NRNOTACLIE_NEW    ,
                                 @V_IDCLIEAUTO_NEW    ,
                                 @V_CDGRUPCLIE_NEW    ,
                                 @V_IDGERANFPEDI_NEW  ,
                                 @V_IDPFINAPRPED_NEW  ,
                                 @V_NRDIAPFINAPR_NEW  ,
                                 @V_IDSFINAPRPED_NEW  ,
                                 @V_IDUTCONSPEDI_NEW  ,
                                 @V_VRCAPINTFUT_NEW   ,
                                 @V_VRCAPINTCLIE_NEW  ,
                                 @V_VRRESCAPCLIE_NEW  ,
                                 @V_VRMERESTCLIE_NEW  ,
                                 @V_CDREGIAOPED_NEW   ,
                                 @V_CDFILTABPREC_NEW  ,
                                 @V_CDTABEPREC_NEW    ,
                                 @V_CDTPINDICE_NEW    ,
                                 @V_CDINDICE_NEW      ,
                                 @V_CDCONTCTBL_NEW    ,
                                 @V_IDPERVALOR_NEW    ,
                                 @V_CDREFERENCIA_NEW  ,
                                 @V_CDMODDOCFISC_NEW  ,
                                 @V_NRINSJURTRAN_NEW  ,
                                 @V_IDTPIJURTRAN_NEW  ,
                                 @V_CDTIPTRANS_NEW    ,
                                 @V_IDPGFRETTRANCLI_NEW,
                                 @V_IDCOMPARQXMLCLI_NEW,
                                 @V_NRINSCSUFRAMACL_NEW,
                                 @V_IDGRAVOBSCLIPED_NEW;



   WHILE (@@FETCH_STATUS = 0) BEGIN

     IF @V_ID_TRIGGER = 'I' BEGIN
        IF NOT ((@V_IDCLIEATIV_NEW IS NULL)) BEGIN
           IF @V_IDCLIEATIV_NEW = 'S' BEGIN
              SET @V_IDCLIEATIV =  'Cliente: Ativo';
           END
           ELSE BEGIN
              SET @V_IDCLIEATIV =  'Cliente: Inativo';
           END;
        END;

        IF NOT ((@V_NRINSESTCLIE_NEW IS NULL)) BEGIN
           SET @V_NRINCREST = 'Nr.Inscr.Estadual:' + ' ' + @V_NRINSESTCLIE_NEW;
        END;

        SET @V_DESC  = 'NrInscricao='       +' '+@V_NRINSJURCLIE_NEW   +' '+
                       'TipoInscricao='     +' '+@V_IDTPIJURCLIE_NEW   +' '+
                       'RazaoSocial='       +' '+@V_NMRAZSOCCLIE_NEW   +' '+
                       'NmFantasia='        +' '+@V_NMFANTCLIE_NEW     +' '+
                       @V_NRINCREST         +' '+@V_IDCLIEATIV         +' '+
                       'GrupoFiscal='       +' '+@V_CDGRUPOFISC_NEW    +' '+
                       'InscrSuframa='      +' '+@V_NRINSCSUFRAMACL_NEW+' '+
                       'CompactaXML='       +' '+@V_IDCOMPARQXMLCLI_NEW+' '+
                       'TpEnderGeraoCFOP='+' '+@V_IDENDCFOPCLI_NEW   +' '+
                       'GravaObsClie='      +' '+@V_IDGRAVOBSCLIPED_NEW+' ';

        SET @V_ITPESQ = @V_CDCLIENTE_NEW;
        SET @V_IDTIPOOPER = '1';
     END
     ELSE BEGIN
        IF @V_ID_TRIGGER = 'U' BEGIN
           IF (ISNULL(@V_NRINSJURCLIE_OLD,'!') <> ISNULL(@V_NRINSJURCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NrInscricao=' + @V_NRINSJURCLIE_NEW;
           END;

           IF (ISNULL(@V_IDTPIJURCLIE_OLD,'!') <> ISNULL(@V_IDTPIJURCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TipoInscricao=' + @V_IDTPIJURCLIE_NEW;
           END;

           IF (ISNULL(@V_NMRAZSOCCLIE_OLD,'!') <> ISNULL(@V_NMRAZSOCCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'RazaoSocial=' + @V_NMRAZSOCCLIE_NEW;
           END;

           IF (ISNULL(@V_NMFANTCLIE_OLD,'!') <> ISNULL(@V_NMFANTCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmFantasia=' + @V_NMFANTCLIE_NEW;
           END;

           IF (ISNULL(@V_NRINSESTCLIE_OLD,'!') <> ISNULL(@V_NRINSESTCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'InscEstadual=' + @V_NRINSESTCLIE_NEW;
           END;

           IF (ISNULL(@V_IDENDEMISCLI_OLD,'!') <> ISNULL(@V_IDENDEMISCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpEnderEmisDoc=' + @V_IDENDEMISCLI_NEW;
           END;

           IF (ISNULL(@V_IDENDCFOPCLI_OLD,'!') <> ISNULL(@V_IDENDCFOPCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpEnderGeraoCFOP=' + @V_IDENDCFOPCLI_NEW;
           END;

           IF (ISNULL(@V_NMAVALCLIE_OLD,'!') <> ISNULL(@V_NMAVALCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmAvalCliente=' + @V_NMAVALCLIE_NEW;
           END;

           IF (ISNULL(@V_VRPEMARGLUCR_OLD,0) <> ISNULL(@V_VRPEMARGLUCR_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentMargemLucro=' + CONVERT(VARCHAR, @V_VRPEMARGLUCR_NEW);
           END;

           IF (ISNULL(@V_QTCNDPG1CLIE_OLD,0) <> ISNULL(@V_QTCNDPG1CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdDiasPrazo1Parcela=' + CONVERT(VARCHAR, @V_QTCNDPG1CLIE_NEW);
           END;

           IF (ISNULL(@V_QTCNDPG2CLIE_OLD,0) <> ISNULL(@V_QTCNDPG2CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdDiasPrazo2Parcela=' + CONVERT(VARCHAR, @V_QTCNDPG2CLIE_NEW);
           END;

           IF (ISNULL(@V_QTCNDPG3CLIE_OLD,0) <> ISNULL(@V_QTCNDPG3CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdDiasPrazo3Parcela=' + CONVERT(VARCHAR, @V_QTCNDPG3CLIE_NEW);
           END;

           IF (ISNULL(@V_QTCNDPG4CLIE_OLD,0) <> ISNULL(@V_QTCNDPG4CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdDiasPrazo4Parcela=' + CONVERT(VARCHAR, @V_QTCNDPG4CLIE_NEW);
           END;

           IF (ISNULL(@V_QTCNDPG5CLIE_OLD,0) <> ISNULL(@V_QTCNDPG5CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdDiasPrazo5Parcela=' + CONVERT(VARCHAR, @V_QTCNDPG5CLIE_NEW);
           END;

           IF (ISNULL(@V_QTCNDPG6CLIE_OLD,0) <> ISNULL(@V_QTCNDPG6CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdDiasPrazo6Parcela=' + CONVERT(VARCHAR, @V_QTCNDPG6CLIE_NEW);
           END;

           IF (ISNULL(@V_IDFORMPGCLIE_OLD,'!') <> ISNULL(@V_IDFORMPGCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'FormaPgtoClie=' + @V_IDFORMPGCLIE_NEW;
           END;

           IF (ISNULL(@V_VRPERPG1CLIE_OLD,0) <> ISNULL(@V_VRPERPG1CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentCorresp1Parcela=' + CONVERT(VARCHAR, @V_VRPERPG1CLIE_NEW);
           END;

           IF (ISNULL(@V_VRPERPG2CLIE_OLD,0) <> ISNULL(@V_VRPERPG2CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentCorresp2Parcela=' + CONVERT(VARCHAR, @V_VRPERPG2CLIE_NEW);
           END;

           IF (ISNULL(@V_VRPERPG3CLIE_OLD,0) <> ISNULL(@V_VRPERPG3CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentCorresp3Parcela=' + CONVERT(VARCHAR, @V_VRPERPG3CLIE_NEW);
           END;

           IF (ISNULL(@V_VRPERPG4CLIE_OLD,0) <> ISNULL(@V_VRPERPG4CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentCorresp4Parcela=' + CONVERT(VARCHAR, @V_VRPERPG4CLIE_NEW);
           END;

           IF (ISNULL(@V_VRPERPG5CLIE_OLD,0) <> ISNULL(@V_VRPERPG5CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentCorresp5Parcela=' + CONVERT(VARCHAR, @V_VRPERPG5CLIE_NEW);
           END;

           IF (ISNULL(@V_VRPERPG6CLIE_OLD,0) <> ISNULL(@V_VRPERPG6CLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentCorresp6Parcela=' + CONVERT(VARCHAR, @V_VRPERPG6CLIE_NEW);
           END;

           IF (ISNULL(@V_CDFORMPGTO_OLD,'!') <> ISNULL(@V_CDFORMPGTO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'FormaPgto=' + @V_CDFORMPGTO_NEW;
           END;

           IF (ISNULL(@V_IDTPFORPGTCL_OLD,'!') <> ISNULL(@V_IDTPFORPGTCL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpFormaPgtoClie=' + @V_IDTPFORPGTCL_NEW;
           END;

           IF (ISNULL(@V_NRPARCPGTOCL_OLD,0) <> ISNULL(@V_NRPARCPGTOCL_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'NrParcPgtoClie=' + CONVERT(VARCHAR, @V_NRPARCPGTOCL_NEW);
           END;

           IF (ISNULL(@V_NRDIAPGFIXCL_OLD,0) <> ISNULL(@V_NRDIAPGFIXCL_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'DiaConsidBCDataPgtoCli=' + CONVERT(VARCHAR, @V_NRDIAPGFIXCL_NEW);
           END;

           IF (ISNULL(@V_IDUTDIAPGTCL_OLD,'!') <> ISNULL(@V_IDUTDIAPGTCL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'UtilDiaPgto=' + @V_IDUTDIAPGTCL_NEW;
           END;

           IF (ISNULL(@V_VRPEMORBCLI_OLD,0) <> ISNULL(@V_VRPEMORBCLI_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentMoraDiriaBolReceber=' + CONVERT(VARCHAR, @V_VRPEMORBCLI_NEW);
           END;

           IF (ISNULL(@V_VRPEMULBCLI_OLD,0) <> ISNULL(@V_VRPEMULBCLI_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentMultaBolReceber=' + CONVERT(VARCHAR, @V_VRPEMULBCLI_NEW);
           END;

           IF (ISNULL(@V_CDSEGMER_OLD,'!') <> ISNULL(@V_CDSEGMER_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'SegMercado=' + @V_CDSEGMER_NEW;
           END;

           IF (ISNULL(@V_CDATIVCLI_OLD,'!') <> ISNULL(@V_CDATIVCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdAtivCliente=' + @V_CDATIVCLI_NEW;
           END;

           IF (ISNULL(@V_VRCAPITALCLI_OLD,0) <> ISNULL(@V_VRCAPITALCLI_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrCapital=' + CONVERT(VARCHAR, @V_VRCAPITALCLI_NEW);
           END;

           IF (ISNULL(@V_VRPATLIQCLI_OLD,0) <> ISNULL(@V_VRPATLIQCLI_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrPatrimnioLqClie=' + CONVERT(VARCHAR, @V_VRPATLIQCLI_NEW);
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTVALVALCLI_OLD, 103), 'W')  <> ISNULL(CONVERT(VARCHAR, @V_DTVALVALCLI_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtValidVrCapitalLquido=' + ISNULL(CONVERT(VARCHAR, @V_DTVALVALCLI_NEW, 103),'');
           END;

           IF (ISNULL(@V_VRLIMCREDCLI_OLD,0) <> ISNULL(@V_VRLIMCREDCLI_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrLimCrdito=' + CONVERT(VARCHAR, @V_VRLIMCREDCLI_NEW);
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTVALLIMCLI_OLD, 103),'W')   <> ISNULL(CONVERT(VARCHAR, @V_DTVALLIMCLI_NEW, 103),'W') ) BEGIN
              SET @V_DESC = @V_DESC + 'DtValLimite=' + CONVERT(VARCHAR, @V_DTVALLIMCLI_NEW, 103);
           END;

           IF (ISNULL(@V_CDTPCTRECEB_OLD,'!') <> ISNULL(@V_CDTPCTRECEB_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpContaReceber=' + @V_CDTPCTRECEB_NEW;
           END;

           IF (ISNULL(@V_CDCSTDIG1CLI_OLD,'!') <> ISNULL(@V_CDCSTDIG1CLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '1DgCST=' + @V_CDCSTDIG1CLI_NEW;
           END;

           IF (ISNULL(@V_IDUTLICEUSO_OLD,'!') <> ISNULL(@V_IDUTLICEUSO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpUtilLicenaDeUsoEmisNF=' + @V_IDUTLICEUSO_NEW;
           END;

           IF (ISNULL(@V_CDVENDEDOR_OLD,'!') <> ISNULL(@V_CDVENDEDOR_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CodVendedor=' + @V_CDVENDEDOR_NEW;
           END;

           IF (ISNULL(@V_IDTIPINFCOME_OLD,'!') <> ISNULL(@V_IDTIPINFCOME_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpInformComensalExib=' + @V_IDTIPINFCOME_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTICOINFCOME_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTICOINFCOME_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtIniPerConsultVendaAcumulComensal=' + CONVERT(VARCHAR, @V_DTICOINFCOME_NEW, 103);
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTFCOINFCOME_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTFCOINFCOME_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtFinPerConsultVendaAcumulComensal=' + CONVERT(VARCHAR, @V_DTFCOINFCOME_NEW, 103);
           END;

           IF (ISNULL(@V_DSHOMEPACLI_OLD,'!') <> ISNULL(@V_DSHOMEPACLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'HomePage=' + @V_DSHOMEPACLI_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTCADACLIE_OLD, 103), 'W')  <> ISNULL(CONVERT(VARCHAR, @V_DTCADACLIE_NEW, 103), 'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtInclusoClie=' + CONVERT(VARCHAR, @V_DTCADACLIE_NEW, 103);
           END;

           IF (ISNULL(@V_IDCONTRIBCLI_OLD,'!') <> ISNULL(@V_IDCONTRIBCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'TpContribuicao=' + @V_IDCONTRIBCLI_NEW;
           END;

           IF (ISNULL(@V_IDCLIECONTRI_OLD,'!') <> ISNULL(@V_IDCLIECONTRI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'ClieContribImpostos=' + @V_IDCLIECONTRI_NEW;
           END;

           IF (ISNULL(@V_CDCFOPCLIE_OLD,'!') <> ISNULL(@V_CDCFOPCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdCFOpClieNContrib=' + @V_CDCFOPCLIE_NEW;
           END;

           IF (ISNULL(@V_DSCFOPCLIE_OLD,'!') <> ISNULL(@V_DSCFOPCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'DescCFOpClieNContrib=' + @V_DSCFOPCLIE_NEW;
           END;

           IF (ISNULL(@V_IDCLIEATIV_OLD,'!') <> ISNULL(@V_IDCLIEATIV_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'SitClieAtivoInat=' + @V_IDCLIEATIV_NEW;
           END;

           IF (ISNULL(@V_CDMODODIVULG_OLD,'!') <> ISNULL(@V_CDMODODIVULG_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdModoDivulg=' + @V_CDMODODIVULG_NEW;
           END;

           IF (ISNULL(@V_CDESTACIVIL_OLD,'!') <> ISNULL(@V_CDESTACIVIL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'EstadoCivil=' + @V_CDESTACIVIL_NEW;
           END;

           IF (ISNULL(@V_CDPROSPECT_OLD,'!') <> ISNULL(@V_CDPROSPECT_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdProspect=' + @V_CDPROSPECT_NEW;
           END;

           IF (ISNULL(@V_CDESCOLARIDADE_OLD,'!') <> ISNULL(@V_CDESCOLARIDADE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'Escolaridade=' + @V_CDESCOLARIDADE_NEW;
           END;

           IF (ISNULL(@V_CDESCOLA_OLD,'!') <> ISNULL(@V_CDESCOLA_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdEscola=' + @V_CDESCOLA_NEW;
           END;

           IF (ISNULL(@V_CDFIAVALESTA_OLD,'!') <> ISNULL(@V_CDFIAVALESTA_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdFilialAvali=' + @V_CDFIAVALESTA_NEW;
           END;

           IF (ISNULL(@V_CDAVALESTA_OLD,'!') <> ISNULL(@V_CDAVALESTA_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdAvaliao=' + @V_CDAVALESTA_NEW;
           END;

           IF (ISNULL(@V_NMMAECLIE_OLD,'!') <> ISNULL(@V_NMMAECLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NomeMae=' + @V_NMMAECLIE_NEW;
           END;

           IF (ISNULL(@V_NMPAICLIE_OLD,'!') <> ISNULL(@V_NMPAICLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NomePai=' + @V_NMPAICLIE_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTNASCCLIE_OLD,103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTNASCCLIE_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtNascimento=' + CONVERT(VARCHAR, @V_DTNASCCLIE_NEW, 103);
           END;

           IF (ISNULL(@V_DSNATURCLIE_OLD,'!') <> ISNULL(@V_DSNATURCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'Naturalidade=' + @V_DSNATURCLIE_NEW;
           END;

           IF (ISNULL(@V_IDSEXOCLIE_OLD,'!') <> ISNULL(@V_IDSEXOCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'Sexo=' + @V_IDSEXOCLIE_NEW;
           END;

           IF (ISNULL(@V_IDTRABCLIE_OLD,'!') <> ISNULL(@V_IDTRABCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'ClieTrabalha=' + @V_IDTRABCLIE_NEW;
           END;

           IF (ISNULL(@V_DSLOCTRCLIE_OLD,'!') <> ISNULL(@V_DSLOCTRCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'LocTrabaCliente=' + @V_DSLOCTRCLIE_NEW;
           END;

           IF (ISNULL(@V_IDESTUDACLIE_OLD,'!') <> ISNULL(@V_IDESTUDACLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'ClieEstuda=' + @V_IDESTUDACLIE_NEW;
           END;

           IF (ISNULL(@V_IDTESTNIVCLI_OLD,'!') <> ISNULL(@V_IDTESTNIVCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdRealizTesteNvelClie=' + @V_IDTESTNIVCLI_NEW;
           END;

           IF (ISNULL(@V_VRTESTNIVCLI_OLD,0) <> ISNULL(@V_VRTESTNIVCLI_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrNFTesteNvelClie=' + CONVERT(VARCHAR, @V_VRTESTNIVCLI_NEW);
           END;

           IF (ISNULL(@V_IDTIPOCLIE_OLD,'!') <> ISNULL(@V_IDTIPOCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdTpClie='+ @V_IDTIPOCLIE_NEW;
           END;

           IF (ISNULL(@V_CDPROFISSAO_OLD,'!') <> ISNULL(@V_CDPROFISSAO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdProfisso=' + @V_CDPROFISSAO_NEW;
           END;

           IF (ISNULL(@V_CDGRUPOFISC_OLD,'!') <> ISNULL(@V_CDGRUPOFISC_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'GrupoFiscal=' + @V_CDGRUPOFISC_NEW;
           END;

           IF (ISNULL(@V_NMRESPCLIE_OLD,'!') <> ISNULL(@V_NMRESPCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmRespClie=' + @V_NMRESPCLIE_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTTESTNIVCLI_OLD, 103),'W')  <>  ISNULL(CONVERT(VARCHAR, @V_DTTESTNIVCLI_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtAplicTesteNvelClie=' + CONVERT(VARCHAR, @V_DTTESTNIVCLI_NEW, 103);
           END;

           IF (ISNULL(@V_NRCPFCLIE_OLD,'!') <> ISNULL(@V_NRCPFCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NrCPF=' + @V_NRCPFCLIE_NEW;
           END;

           IF (ISNULL(@V_NRRGCLIE_OLD,'!') <> ISNULL(@V_NRRGCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NrCartIdentidade=' + @V_NRRGCLIE_NEW;
           END;

           IF (ISNULL(@V_CDEXRGCLIE_OLD,'!') <> ISNULL(@V_CDEXRGCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'OrgoExpedRG=' + @V_CDEXRGCLIE_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTEXRGCLIE_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTEXRGCLIE_NEW, 103) ,'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtExpedRg=' + CONVERT(VARCHAR, @V_DTEXRGCLIE_NEW, 103);
           END;

           IF (ISNULL(@V_CDEMPFCAPCLI_OLD,'!') <> ISNULL(@V_CDEMPFCAPCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDEMPFCAPCLI_NEW;
           END;

           IF (ISNULL(@V_CDFUNCCAPCLI_OLD,'!') <> ISNULL(@V_CDFUNCCAPCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDFUNCCAPCLI_NEW;
           END;

           IF (ISNULL(@V_CDEMPFAPLTES_OLD,'!') <> ISNULL(@V_CDEMPFAPLTES_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDEMPFAPLTES_NEW;
           END;

           IF (ISNULL(@V_CDFUNCAPLTES_OLD,'!') <> ISNULL(@V_CDFUNCAPLTES_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDFUNCAPLTES_NEW;
           END;

           IF (ISNULL(@V_NRTURNO_OLD,'!') <> ISNULL(@V_NRTURNO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmTurno=' + @V_NRTURNO_NEW;
           END;

           IF (ISNULL(@V_IDSEGCLIP_OLD,'!') <> ISNULL(@V_IDSEGCLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaSeg=' + @V_IDSEGCLIP_NEW;
           END;

           IF (ISNULL(@V_IDTERCLIP_OLD,'!') <> ISNULL(@V_IDTERCLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaTer=' + @V_IDTERCLIP_NEW;
           END;

           IF (ISNULL(@V_IDQUACLIP_OLD,'!') <> ISNULL(@V_IDQUACLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaQua=' + @V_IDQUACLIP_NEW;
           END;

           IF (ISNULL(@V_IDQUICLIP_OLD,'!') <> ISNULL(@V_IDQUICLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaQui=' + @V_IDQUICLIP_NEW;
           END;

           IF (ISNULL(@V_IDSEXCLIP_OLD,'!') <> ISNULL(@V_IDSEXCLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaSex=' + @V_IDSEXCLIP_NEW;
           END;

           IF (ISNULL(@V_IDSABCLIP_OLD,'!') <> ISNULL(@V_IDSABCLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaSab=' + @V_IDSABCLIP_NEW;
           END;

           IF (ISNULL(@V_IDDOMCLIP_OLD,'!') <> ISNULL(@V_IDDOMCLIP_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPrefProspectAulaDom=' + @V_IDDOMCLIP_NEW;
           END;

           IF (ISNULL(@V_IDRECINFMKT_OLD,'!') <> ISNULL(@V_IDRECINFMKT_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdOpoRecInfMarketing=' + @V_IDRECINFMKT_NEW;
           END;

           IF (ISNULL(@V_CDFILORIGCLI_OLD,'!') <> ISNULL(@V_CDFILORIGCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdFilOrig=' + @V_CDFILORIGCLI_NEW;
           END;

           IF (ISNULL(@V_CDFILESTAPTO_OLD,'!') <> ISNULL(@V_CDFILESTAPTO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDFILESTAPTO_NEW;
           END;

           IF (ISNULL(@V_CDESTAGIAPTO_OLD,'!') <> ISNULL(@V_CDESTAGIAPTO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDESTAGIAPTO_NEW;
           END;

           IF (ISNULL(@V_CDEXCLIENTE_OLD,'!') <> ISNULL(@V_CDEXCLIENTE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdExternoClie=' + @V_CDEXCLIENTE_NEW;
           END;

           IF (ISNULL(@V_IDPRIPUBCLIE_OLD,'!') <> ISNULL(@V_IDPRIPUBCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdCliePbl/Priv=' + @V_IDPRIPUBCLIE_NEW;
           END;

           IF (ISNULL(@V_VRPEFORPRECO_OLD,0) <> ISNULL(@V_VRPEFORPRECO_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrPercentUtilFormPreoVenda=' + CONVERT(VARCHAR, @V_VRPEFORPRECO_NEW);
           END;

           IF (ISNULL(@V_IDVERSALDCLI_OLD,'!') <> ISNULL(@V_IDVERSALDCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdVerifSaldoClie=' + @V_IDVERSALDCLI_NEW;
           END;

           IF (ISNULL(@V_IDUTSALDCLI_OLD,'!') <> ISNULL(@V_IDUTSALDCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdUtilSaldoClie=' + @V_IDUTSALDCLI_NEW;
           END;

           IF (ISNULL(@V_IDCALCDVCLIE_OLD,'!') <> ISNULL(@V_IDCALCDVCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdClcDgVerifCrach=' + @V_IDCALCDVCLIE_NEW;
           END;

           IF (ISNULL(@V_IDUTSUBCLIEN_OLD,'!') <> ISNULL(@V_IDUTSUBCLIEN_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdUtilSubsdio=' + @V_IDUTSUBCLIEN_NEW;
           END;

           IF (ISNULL(@V_VRPESUBCLIEN_OLD,0) <> ISNULL(@V_VRPESUBCLIEN_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentSubsdioClie=' + CONVERT(VARCHAR, @V_VRPESUBCLIEN_NEW);
           END;

           IF (ISNULL(@V_IDLIBGERPER_OLD,'!') <> ISNULL(@V_IDLIBGERPER_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdLiberGeraoPER=' + @V_IDLIBGERPER_NEW;
           END;

           IF (ISNULL(@V_NRDIAVALPERS_OLD,0) <> ISNULL(@V_NRDIAVALPERS_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'NmDiasValidGeraoPer=' + @V_NRDIAVALPERS_NEW;
           END;

           IF (ISNULL(@V_CDCARGOCNJCL_OLD,'!') <> ISNULL(@V_CDCARGOCNJCL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDCARGOCNJCL_NEW;
           END;

           IF (ISNULL(@V_CDCARGOCLIE_OLD,'!') <> ISNULL(@V_CDCARGOCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDCARGOCLIE_NEW;
           END;

           IF (ISNULL(@V_NRCARPROCLIE_OLD,'!') <> ISNULL(@V_NRCARPROCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_NRCARPROCLIE_NEW;
           END;

           IF (ISNULL(@V_VRSALARICLIE_OLD,0) <> ISNULL(@V_VRSALARICLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrSalrioClie=' + CONVERT(VARCHAR, @V_VRSALARICLIE_NEW);
           END;

           IF (ISNULL(@V_NMCONJUGCLIE_OLD,'!') <> ISNULL(@V_NMCONJUGCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmCnjugeClie=' + @V_NMCONJUGCLIE_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTNASCNJCLIE_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTNASCNJCLIE_NEW, 103), 'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtNascCnjugeClie=' + CONVERT(VARCHAR, @V_DTNASCNJCLIE_NEW, 103);
           END;

           IF (ISNULL(@V_NMEMPCNJCLIE_OLD,'!') <> ISNULL(@V_NMEMPCNJCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmEmpCnjugeClie=' + @V_NMEMPCNJCLIE_NEW;
           END;

           IF (ISNULL(@V_VRSALCNJCLIE_OLD,0) <> ISNULL(@V_VRSALCNJCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrSalarioClie=' + CONVERT(VARCHAR, @V_VRSALCNJCLIE_NEW);
           END;

           IF (ISNULL(@V_NRCPFCNJCLIE_OLD,'!') <> ISNULL(@V_NRCPFCNJCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NrCPFConjugue=' + @V_NRCPFCNJCLIE_NEW;
           END;

           IF (ISNULL(@V_NRRGCNJCLIE_OLD,'!') <> ISNULL(@V_NRRGCNJCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NrRgConjugue=' + @V_NRRGCNJCLIE_NEW;
           END;

           IF (ISNULL(@V_CDEXRGCNJCLI_OLD,'!') <> ISNULL(@V_CDEXRGCNJCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'OrgoemisRGConjugue=' + @V_CDEXRGCNJCLI_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTEXRGCNJCLI_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTEXRGCNJCLI_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtExpedRGConjugue=' + CONVERT(VARCHAR, @V_DTEXRGCNJCLI_NEW, 103);
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTVALARQPERS_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTVALARQPERS_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtValidArqPER=' + CONVERT(VARCHAR, @V_DTVALARQPERS_NEW, 103);
           END;

           IF (ISNULL(@V_DSEMAILENVCL_OLD,'!') <> ISNULL(@V_DSEMAILENVCL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'EndEmailEnvioPER=' + @V_DSEMAILENVCL_NEW;
           END;

           IF (ISNULL(@V_DSEMAILCOMCL_OLD,'!') <> ISNULL(@V_DSEMAILCOMCL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'EndEmailComunicEnvioPER=' + @V_DSEMAILCOMCL_NEW;
           END;

           IF (ISNULL(@V_IDRESPROPCLI_OLD,'!') <> ISNULL(@V_IDRESPROPCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdResidnciaPrpria=' + @V_IDRESPROPCLI_NEW;
           END;

           IF (ISNULL(@V_NRMESRESCLIE_OLD,0) <> ISNULL(@V_NRMESRESCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'NmMesesResidClie=' + CONVERT(VARCHAR, @V_NRMESRESCLIE_NEW);
           END;

           IF (ISNULL(@V_NRANORESCLIE_OLD,0) <> ISNULL(@V_NRANORESCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'NmAnosResidClie=' + CONVERT(VARCHAR, @V_NRANORESCLIE_NEW);
           END;

           IF (ISNULL(@V_IDZERSALDCON_OLD,'!') <> ISNULL(@V_IDZERSALDCON_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdSaldoConsumidorZerado=' + @V_IDZERSALDCON_NEW;
           END;

           IF (ISNULL(@V_IDGERNFCLIE_OLD,'!') <> ISNULL(@V_IDGERNFCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdQuebraGeraoNFExped=' + @V_IDGERNFCLIE_NEW;
           END;

           IF (ISNULL(@V_CDIDCLIENTE_OLD,'!') <> ISNULL(@V_CDIDCLIENTE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdIdentifClieUtilURA=' + @V_CDIDCLIENTE_NEW;
           END;

           IF (ISNULL(@V_IDSITFINCLIE_OLD,'!') <> ISNULL(@V_IDSITFINCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdSituFinanceiraClie=' + @V_IDSITFINCLIE_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTINITRCLIE_OLD, 103),'W')<> ISNULL(CONVERT(VARCHAR, @V_DTINITRCLIE_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtIniTrabClie=' + CONVERT(VARCHAR, @V_DTINITRCLIE_NEW, 103);
           END;

           IF (ISNULL(@V_IDLIGEXTCLIE_OLD,'!') <> ISNULL(@V_IDLIGEXTCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '=' + @V_IDLIGEXTCLIE_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTULTMOVCLIE_OLD, 103),'W') <>  ISNULL(CONVERT(VARCHAR, @V_DTULTMOVCLIE_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtltimaMovimClie=' + CONVERT(VARCHAR, @V_DTULTMOVCLIE_NEW, 103);
           END;

           IF (ISNULL(CONVERT(VARCHAR, @V_DTCADACLPROS_OLD, 103),'W')  <> ISNULL(CONVERT(VARCHAR, @V_DTCADACLPROS_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtCadastroClieProspect' + CONVERT(VARCHAR, @V_DTCADACLPROS_NEW, 103);
           END;

           IF (ISNULL(@V_VRFATUCLIE_OLD,0) <> ISNULL(@V_VRFATUCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrFatuBrutoAnual=' + CONVERT(VARCHAR, @V_VRFATUCLIE_NEW);
           END;

           IF (ISNULL(@V_NRFUNCCLIE_OLD,'!') <> ISNULL(@V_NRFUNCCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmFuncionr=' + @V_NRFUNCCLIE_NEW;
           END;

           IF (ISNULL(@V_NRUNOPCLIE_OLD,'!') <> ISNULL(@V_NRUNOPCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmUnidades=' + @V_NRUNOPCLIE_NEW;
           END;

           IF (ISNULL(@V_CDQUALIF_OLD,'!') <> ISNULL(@V_CDQUALIF_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdQualif=' + @V_CDQUALIF_NEW;
           END;

           IF (ISNULL(@V_QTIMPEXTRMES_OLD,0) <> ISNULL(@V_QTIMPEXTRMES_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'QtdImpressesExtratoMs=' + CONVERT(VARCHAR, @V_QTIMPEXTRMES_NEW);
           END;

           IF (ISNULL(@V_VRPEMAXDESCL_OLD,0) <> ISNULL(@V_VRPEMAXDESCL_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'PercentMxDescClie=' + CONVERT(VARCHAR, @V_VRPEMAXDESCL_NEW);
           END;

           IF (ISNULL(@V_CDMODPGTO_OLD,'!') <> ISNULL(@V_CDMODPGTO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdModalidadePgto=' + @V_CDMODPGTO_NEW;
           END;

           IF (ISNULL(CONVERT(VARCHAR,@V_DTVALQUALIC_OLD, 103),'W') <> ISNULL(CONVERT(VARCHAR, @V_DTVALQUALIC_NEW, 103),'W')) BEGIN
              SET @V_DESC = @V_DESC + 'DtValidQualifClie=' + CONVERT(VARCHAR, @V_DTVALQUALIC_NEW, 103);
           END;

           IF (ISNULL(@V_NRNOTACLIE_OLD,0) <> ISNULL(@V_NRNOTACLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'NmNFQualifForneced=' + CONVERT(VARCHAR, @V_NRNOTACLIE_NEW);
           END;

           IF (ISNULL(@V_IDCLIEAUTO_OLD,'!') <> ISNULL(@V_IDCLIEAUTO_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IndicadorClieAutor=' + @V_IDCLIEAUTO_NEW;
           END;

           IF (ISNULL(@V_CDGRUPCLIE_OLD,'!') <> ISNULL(@V_CDGRUPCLIE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdGrupoClie=' + @V_CDGRUPCLIE_NEW;
           END;

           IF (ISNULL(@V_IDGERANFPEDI_OLD,'!') <> ISNULL(@V_IDGERANFPEDI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdGeraoNFPedido=' + @V_IDGERANFPEDI_NEW;
           END

           IF (ISNULL(@V_IDPFINAPRPED_OLD,'!') <> ISNULL(@V_IDPFINAPRPED_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdVerifPendFinancAprovCrdPed=' + @V_IDPFINAPRPED_NEW;
           END;

           IF (ISNULL(@V_NRDIAPFINAPR_OLD,'!') <> ISNULL(@V_NRDIAPFINAPR_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmDiaVencPendFinancTesteAprovPed=' + @V_NRDIAPFINAPR_NEW;
           END;

           IF (ISNULL(@V_IDSFINAPRPED_OLD,'!') <> ISNULL(@V_IDSFINAPRPED_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdVerifSitFinancAprovCrdPed=' + @V_IDSFINAPRPED_NEW;
           END;

           IF (ISNULL(@V_IDUTCONSPEDI_OLD,'!') <> ISNULL(@V_IDUTCONSPEDI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdConsistPedido=' + @V_IDUTCONSPEDI_NEW;
           END;

           IF (ISNULL(@V_VRCAPINTFUT_OLD,0) <> ISNULL(@V_VRCAPINTFUT_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrCapitalIntegClie=' + CONVERT(VARCHAR, @V_VRCAPINTFUT_NEW);
           END;

           IF (ISNULL(@V_VRCAPINTCLIE_OLD,0) <> ISNULL(@V_VRCAPINTCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrCapitClie=' + CONVERT(VARCHAR, @V_VRCAPINTCLIE_NEW);
           END;

           IF (ISNULL(@V_VRRESCAPCLIE_OLD,0) <> ISNULL(@V_VRRESCAPCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrReservaCapitClie=' + CONVERT(VARCHAR, @V_VRRESCAPCLIE_NEW);
           END;

           IF (ISNULL(@V_VRMERESTCLIE_OLD,0) <> ISNULL(@V_VRMERESTCLIE_NEW,0)) BEGIN
              SET @V_DESC = @V_DESC + 'VrMercadEstClie=' + CONVERT(VARCHAR, @V_VRMERESTCLIE_NEW);
           END;

           IF (ISNULL(@V_CDREGIAOPED_OLD,'!') <> ISNULL(@V_CDREGIAOPED_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdRegPedidos=' + @V_CDREGIAOPED_NEW;
           END;

           IF (ISNULL(@V_CDFILTABPREC_OLD,'!') <> ISNULL(@V_CDFILTABPREC_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDFILTABPREC_NEW;
           END;

           IF (ISNULL(@V_CDTABEPREC_OLD,'!') <> ISNULL(@V_CDTABEPREC_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdTabelaPreos=' + @V_CDTABEPREC_NEW;
           END;

           IF (ISNULL(@V_CDTPINDICE_OLD,'!') <> ISNULL(@V_CDTPINDICE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdTpndiceFinanc=' + @V_CDTPINDICE_NEW;
           END;

           IF (ISNULL(@V_CDINDICE_OLD,'!') <> ISNULL(@V_CDINDICE_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + '?=' + @V_CDINDICE_NEW;
           END;

           IF (ISNULL(@V_CDCONTCTBL_OLD,'!') <> ISNULL(@V_CDCONTCTBL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdCtaContbil=' + @V_CDCONTCTBL_NEW;
           END;

           IF (ISNULL(@V_IDPERVALOR_OLD,'!') <> ISNULL(@V_IDPERVALOR_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdPercentVr=' + @V_IDPERVALOR_NEW;
           END;

           IF (ISNULL(@V_CDREFERENCIA_OLD,'!') <> ISNULL(@V_CDREFERENCIA_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdRef=' + @V_CDREFERENCIA_NEW;
           END;

           IF (ISNULL(@V_CDMODDOCFISC_OLD,'!') <> ISNULL(@V_CDMODDOCFISC_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdModDocFisc=' + @V_CDMODDOCFISC_NEW;
           END;

           IF (ISNULL(@V_NRINSJURTRAN_OLD,'!') <> ISNULL(@V_NRINSJURTRAN_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'NmInscJurTransport=' + @V_NRINSJURTRAN_NEW;
           END;

           IF (ISNULL(@V_IDTPIJURTRAN_OLD,'!')<> ISNULL(@V_IDTPIJURTRAN_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdTpInscJurTransport=' + @V_IDTPIJURTRAN_NEW;
           END;

           IF (ISNULL(@V_CDTIPTRANS_OLD,'!') <> ISNULL(@V_CDTIPTRANS_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CdTpTransporte=' + @V_CDTIPTRANS_NEW;
           END;

           IF (ISNULL(@V_IDPGFRETTRANCLI_OLD,'!') <> ISNULL(@V_IDPGFRETTRANCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'IdTpPgtoFreteTransport=' + @V_IDPGFRETTRANCLI_NEW;
           END;

           IF (ISNULL(@V_IDCOMPARQXMLCLI_OLD,'!') <> ISNULL(@V_IDCOMPARQXMLCLI_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'CompactaXML=' + @V_IDCOMPARQXMLCLI_NEW;
           END;

           IF (ISNULL(@V_NRINSCSUFRAMACL_OLD,'!') <> ISNULL(@V_NRINSCSUFRAMACL_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'InscrSuframa=' + @V_NRINSCSUFRAMACL_NEW;
           END;

           IF (ISNULL(@V_IDGRAVOBSCLIPED_OLD,'!') <> ISNULL(@V_IDGRAVOBSCLIPED_NEW,'!')) BEGIN
              SET @V_DESC = @V_DESC + 'GravaObsClie=' + @V_IDGRAVOBSCLIPED_NEW;
           END;

           SET @V_IDTIPOOPER = '2';
           SET @V_ITPESQ = @V_CDCLIENTE_NEW;
        END;

        IF @V_ID_TRIGGER = 'D'  BEGIN
           IF NOT ((@V_IDCLIEATIV_OLD) IS NULL) BEGIN
              IF @V_IDCLIEATIV_OLD = 'S' BEGIN
                 SET @V_IDCLIEATIV =  'Cliente: Ativo';
              END
              ELSE BEGIN
                 SET @V_IDCLIEATIV =  'Cliente: Inativo';
              END;
           END;

           IF NOT( (@V_NRINSESTCLIE_OLD) IS NULL) BEGIN
              SET @V_NRINCREST = 'Nr.Inscr.Estadual:' + '' + @V_NRINSESTCLIE_OLD     + ' ' ;
           END;

           SET @V_DESC  = 'NrInscricao='       +' '+@V_NRINSJURCLIE_OLD   +' '+
                          'TipoInscricao='     +' '+@V_IDTPIJURCLIE_OLD   +' '+
                          'RazaoSocial='       +' '+@V_NMRAZSOCCLIE_OLD   +' '+
                          'NmFantasia'         +' '+@V_NMFANTCLIE_OLD     +' '+
                          @V_NRINCREST         +' '+@V_IDCLIEATIV         +' '+
                          'GrupoFiscal='       +' '+@V_CDGRUPOFISC_NEW    +' '+
                          'InscrSuframa='      +' '+@V_NRINSCSUFRAMACL_NEW+' '+
                          'CompactaXML='       +' '+@V_IDCOMPARQXMLCLI_NEW+' '+
                          'TpEnderGeraoCFOP='+' '+@V_IDENDCFOPCLI_NEW   +' '+
                          'GravaObsClie='      +' '+@V_IDGRAVOBSCLIPED_NEW+' ';

           SET @V_ITPESQ = @V_CDCLIENTE_OLD;
           SET @V_IDTIPOOPER = '3';
        END;
     END;

     IF NOT (@V_DESC IS NULL) BEGIN
        INSERT INTO LOGOPERA ( NMTABELA,    DTOPERACAO,   NMRESPOPER,   IDTIPOOPER,
                               DSOPERACAO,  CDPESQITEM,   DSRDMUSUOPER, DSENDUSUOPER,
                               DSNMUSUOPER, DSMETUSUOPER, CDORESPOPER)
                    VALUES   ('CLIENTE',                  GETDATE(),       ISNULL(@V_NMOPERADOR,' '), @V_IDTIPOOPER,
                              SUBSTRING(@V_DESC, 1, 300), @V_ITPESQ,       @V_DSSERVERRDM,            @V_DSREMOTEADDR,
                              @V_DSREMOTEHOST,            @V_DSSERVMETHOD, @V_DSREMOTEOPER);
     END;

   FETCH NEXT FROM C_CURSOR INTO @V_ID_TRIGGER,
                                 @V_IDCLIEATIV_OLD,
                                 @V_NRINSESTCLIE_OLD,
                                 @V_NRINSJURCLIE_OLD,
                                 @V_IDTPIJURCLIE_OLD,
                                 @V_NMRAZSOCCLIE_OLD,
                                 @V_NMFANTCLIE_OLD,
                                 @V_CDCLIENTE_OLD,
                                 @V_NMAVALCLIE_OLD,
                                 @V_VRPEMARGLUCR_OLD,
                                 @V_QTCNDPG1CLIE_OLD,
                                 @V_QTCNDPG2CLIE_OLD,
                                 @V_QTCNDPG3CLIE_OLD,
                                 @V_QTCNDPG4CLIE_OLD,
                                 @V_QTCNDPG5CLIE_OLD,
                                 @V_QTCNDPG6CLIE_OLD,
                                 @V_IDFORMPGCLIE_OLD,
                                 @V_VRPERPG1CLIE_OLD,
                                 @V_VRPERPG2CLIE_OLD,
                                 @V_VRPERPG3CLIE_OLD,
                                 @V_VRPERPG4CLIE_OLD,
                                 @V_VRPERPG5CLIE_OLD,
                                 @V_VRPERPG6CLIE_OLD,
                                 @V_CDFORMPGTO_OLD  ,
                                 @V_IDTPFORPGTCL_OLD,
                                 @V_NRPARCPGTOCL_OLD,
                                 @V_NRDIAPGFIXCL_OLD,
                                 @V_IDUTDIAPGTCL_OLD,
                                 @V_VRPEMORBCLI_OLD ,
                                 @V_VRPEMULBCLI_OLD ,
                                 @V_CDSEGMER_OLD    ,
                                 @V_CDATIVCLI_OLD   ,
                                 @V_VRCAPITALCLI_OLD,
                                 @V_VRPATLIQCLI_OLD ,
                                 @V_DTVALVALCLI_OLD ,
                                 @V_VRLIMCREDCLI_OLD,
                                 @V_DTVALLIMCLI_OLD ,
                                 @V_CDTPCTRECEB_OLD ,
                                 @V_CDCSTDIG1CLI_OLD,
                                 @V_IDENDEMISCLI_OLD,
                                 @V_IDENDCFOPCLI_OLD,
                                 @V_IDUTLICEUSO_OLD ,
                                 @V_CDVENDEDOR_OLD  ,
                                 @V_IDTIPINFCOME_OLD,
                                 @V_DTICOINFCOME_OLD,
                                 @V_DTFCOINFCOME_OLD,
                                 @V_DSHOMEPACLI_OLD ,
                                 @V_DTCADACLIE_OLD  ,
                                 @V_IDCONTRIBCLI_OLD,
                                 @V_IDCLIECONTRI_OLD,
                                 @V_CDCFOPCLIE_OLD  ,
                                 @V_DSCFOPCLIE_OLD  ,
                                 @V_CDMODODIVULG_OLD,
                                 @V_CDESTACIVIL_OLD ,
                                 @V_CDPROSPECT_OLD  ,
                                 @V_CDESCOLARIDADE_OLD,
                                 @V_CDESCOLA_OLD      ,
                                 @V_CDFIAVALESTA_OLD  ,
                                 @V_CDAVALESTA_OLD    ,
                                 @V_NMMAECLIE_OLD     ,
                                 @V_NMPAICLIE_OLD     ,
                                 @V_DTNASCCLIE_OLD    ,
                                 @V_DSNATURCLIE_OLD   ,
                                 @V_IDSEXOCLIE_OLD    ,
                                 @V_IDTRABCLIE_OLD    ,
                                 @V_DSLOCTRCLIE_OLD   ,
                                 @V_IDESTUDACLIE_OLD  ,
                                 @V_IDTESTNIVCLI_OLD  ,
                                 @V_VRTESTNIVCLI_OLD  ,
                                 @V_IDTIPOCLIE_OLD    ,
                                 @V_CDPROFISSAO_OLD   ,
                                 @V_CDGRUPOFISC_OLD   ,
                                 @V_NMRESPCLIE_OLD    ,
                                 @V_DTTESTNIVCLI_OLD  ,
                                 @V_NRCPFCLIE_OLD     ,
                                 @V_NRRGCLIE_OLD      ,
                                 @V_CDEXRGCLIE_OLD    ,
                                 @V_DTEXRGCLIE_OLD    ,
                                 @V_CDEMPFCAPCLI_OLD  ,
                                 @V_CDFUNCCAPCLI_OLD  ,
                                 @V_CDEMPFAPLTES_OLD  ,
                                 @V_CDFUNCAPLTES_OLD  ,
                                 @V_NRTURNO_OLD       ,
                                 @V_IDSEGCLIP_OLD     ,
                                 @V_IDTERCLIP_OLD     ,
                                 @V_IDQUACLIP_OLD     ,
                                 @V_IDQUICLIP_OLD     ,
                                 @V_IDSEXCLIP_OLD     ,
                                 @V_IDSABCLIP_OLD     ,
                                 @V_IDDOMCLIP_OLD     ,
                                 @V_IDRECINFMKT_OLD   ,
                                 @V_CDFILORIGCLI_OLD  ,
                                 @V_CDFILESTAPTO_OLD  ,
                                 @V_CDESTAGIAPTO_OLD  ,
                                 @V_CDEXCLIENTE_OLD   ,
                                 @V_IDPRIPUBCLIE_OLD  ,
                                 @V_VRPEFORPRECO_OLD  ,
                                 @V_IDVERSALDCLI_OLD  ,
                                 @V_IDUTSALDCLI_OLD   ,
                                 @V_IDCALCDVCLIE_OLD  ,
                                 @V_IDUTSUBCLIEN_OLD  ,
                                 @V_VRPESUBCLIEN_OLD  ,
                                 @V_IDLIBGERPER_OLD   ,
                                 @V_NRDIAVALPERS_OLD  ,
                                 @V_CDCARGOCNJCL_OLD  ,
                                 @V_CDCARGOCLIE_OLD   ,
                                 @V_NRCARPROCLIE_OLD  ,
                                 @V_VRSALARICLIE_OLD  ,
                                 @V_NMCONJUGCLIE_OLD  ,
                                 @V_DTNASCNJCLIE_OLD  ,
                                 @V_NMEMPCNJCLIE_OLD  ,
                                 @V_VRSALCNJCLIE_OLD  ,
                                 @V_NRCPFCNJCLIE_OLD  ,
                                 @V_NRRGCNJCLIE_OLD   ,
                                 @V_CDEXRGCNJCLI_OLD  ,
                                 @V_DTEXRGCNJCLI_OLD  ,
                                 @V_DTVALARQPERS_OLD  ,
                                 @V_DSEMAILENVCL_OLD  ,
                                 @V_DSEMAILCOMCL_OLD  ,
                                 @V_IDRESPROPCLI_OLD  ,
                                 @V_NRMESRESCLIE_OLD  ,
                                 @V_NRANORESCLIE_OLD  ,
                                 @V_IDZERSALDCON_OLD  ,
                                 @V_IDGERNFCLIE_OLD   ,
                                 @V_CDIDCLIENTE_OLD   ,
                                 @V_IDSITFINCLIE_OLD  ,
                                 @V_DTINITRCLIE_OLD   ,
                                 @V_IDLIGEXTCLIE_OLD  ,
                                 @V_DTULTMOVCLIE_OLD  ,
                                 @V_DTCADACLPROS_OLD  ,
                                 @V_VRFATUCLIE_OLD    ,
                                 @V_NRFUNCCLIE_OLD    ,
                                 @V_NRUNOPCLIE_OLD    ,
                                 @V_CDQUALIF_OLD      ,
                                 @V_QTIMPEXTRMES_OLD  ,
                                 @V_VRPEMAXDESCL_OLD  ,
                                 @V_CDMODPGTO_OLD     ,
                                 @V_DTVALQUALIC_OLD   ,
                                 @V_NRNOTACLIE_OLD    ,
                                 @V_IDCLIEAUTO_OLD    ,
                                 @V_CDGRUPCLIE_OLD    ,
                                 @V_IDGERANFPEDI_OLD  ,
                                 @V_IDPFINAPRPED_OLD  ,
                                 @V_NRDIAPFINAPR_OLD  ,
                                 @V_IDSFINAPRPED_OLD  ,
                                 @V_IDUTCONSPEDI_OLD  ,
                                 @V_VRCAPINTFUT_OLD   ,
                                 @V_VRCAPINTCLIE_OLD  ,
                                 @V_VRRESCAPCLIE_OLD  ,
                                 @V_VRMERESTCLIE_OLD  ,
                                 @V_CDREGIAOPED_OLD   ,
                                 @V_CDFILTABPREC_OLD  ,
                                 @V_CDTABEPREC_OLD    ,
                                 @V_CDTPINDICE_OLD    ,
                                 @V_CDINDICE_OLD      ,
                                 @V_CDCONTCTBL_OLD    ,
                                 @V_IDPERVALOR_OLD    ,
                                 @V_CDREFERENCIA_OLD  ,
                                 @V_CDMODDOCFISC_OLD  ,
                                 @V_NRINSJURTRAN_OLD  ,
                                 @V_IDTPIJURTRAN_OLD  ,
                                 @V_CDTIPTRANS_OLD    ,
                                 @V_IDPGFRETTRANCLI_OLD,
                                 @V_IDCOMPARQXMLCLI_OLD,
                                 @V_NRINSCSUFRAMACL_OLD,
                                 @V_IDGRAVOBSCLIPED_OLD,

                                 @V_IDCLIEATIV_NEW    ,
                                 @V_NRINSESTCLIE_NEW  ,
                                 @V_NRINSJURCLIE_NEW  ,
                                 @V_IDTPIJURCLIE_NEW  ,
                                 @V_NMRAZSOCCLIE_NEW  ,
                                 @V_NMFANTCLIE_NEW    ,
                                 @V_CDCLIENTE_NEW     ,
                                 @V_NMAVALCLIE_NEW    ,
                                 @V_VRPEMARGLUCR_NEW  ,
                                 @V_QTCNDPG1CLIE_NEW  ,
                                 @V_QTCNDPG2CLIE_NEW  ,
                                 @V_QTCNDPG3CLIE_NEW  ,
                                 @V_QTCNDPG4CLIE_NEW  ,
                                 @V_QTCNDPG5CLIE_NEW  ,
                                 @V_QTCNDPG6CLIE_NEW  ,
                                 @V_IDFORMPGCLIE_NEW  ,
                                 @V_VRPERPG1CLIE_NEW  ,
                                 @V_VRPERPG2CLIE_NEW  ,
                                 @V_VRPERPG3CLIE_NEW  ,
                                 @V_VRPERPG4CLIE_NEW  ,
                                 @V_VRPERPG5CLIE_NEW  ,
                                 @V_VRPERPG6CLIE_NEW  ,
                                 @V_CDFORMPGTO_NEW    ,
                                 @V_IDTPFORPGTCL_NEW  ,
                                 @V_NRPARCPGTOCL_NEW  ,
                                 @V_NRDIAPGFIXCL_NEW  ,
                                 @V_IDUTDIAPGTCL_NEW  ,
                                 @V_VRPEMORBCLI_NEW   ,
                                 @V_VRPEMULBCLI_NEW   ,
                                 @V_CDSEGMER_NEW      ,
                                 @V_CDATIVCLI_NEW     ,
                                 @V_VRCAPITALCLI_NEW  ,
                                 @V_VRPATLIQCLI_NEW   ,
                                 @V_DTVALVALCLI_NEW   ,
                                 @V_VRLIMCREDCLI_NEW  ,
                                 @V_DTVALLIMCLI_NEW   ,
                                 @V_CDTPCTRECEB_NEW   ,
                                 @V_CDCSTDIG1CLI_NEW  ,
                                 @V_IDENDEMISCLI_NEW  ,
                                 @V_IDENDCFOPCLI_NEW  ,
                                 @V_IDUTLICEUSO_NEW   ,
                                 @V_CDVENDEDOR_NEW    ,
                                 @V_IDTIPINFCOME_NEW  ,
                                 @V_DTICOINFCOME_NEW  ,
                                 @V_DTFCOINFCOME_NEW  ,
                                 @V_DSHOMEPACLI_NEW   ,
                                 @V_DTCADACLIE_NEW    ,
                                 @V_IDCONTRIBCLI_NEW  ,
                                 @V_IDCLIECONTRI_NEW  ,
                                 @V_CDCFOPCLIE_NEW    ,
                                 @V_DSCFOPCLIE_NEW    ,
                                 @V_CDMODODIVULG_NEW  ,
                                 @V_CDESTACIVIL_NEW   ,
                                 @V_CDPROSPECT_NEW    ,
                                 @V_CDESCOLARIDADE_NEW,
                                 @V_CDESCOLA_NEW      ,
                                 @V_CDFIAVALESTA_NEW  ,
                                 @V_CDAVALESTA_NEW    ,
                                 @V_NMMAECLIE_NEW     ,
                                 @V_NMPAICLIE_NEW     ,
                                 @V_DTNASCCLIE_NEW    ,
                                 @V_DSNATURCLIE_NEW   ,
                                 @V_IDSEXOCLIE_NEW    ,
                                 @V_IDTRABCLIE_NEW    ,
                                 @V_DSLOCTRCLIE_NEW   ,
                                 @V_IDESTUDACLIE_NEW  ,
                                 @V_IDTESTNIVCLI_NEW  ,
                                 @V_VRTESTNIVCLI_NEW  ,
                                 @V_IDTIPOCLIE_NEW    ,
                                 @V_CDPROFISSAO_NEW   ,
                                 @V_CDGRUPOFISC_NEW   ,
                                 @V_NMRESPCLIE_NEW    ,
                                 @V_DTTESTNIVCLI_NEW  ,
                                 @V_NRCPFCLIE_NEW     ,
                                 @V_NRRGCLIE_NEW      ,
                                 @V_CDEXRGCLIE_NEW    ,
                                 @V_DTEXRGCLIE_NEW    ,
                                 @V_CDEMPFCAPCLI_NEW  ,
                                 @V_CDFUNCCAPCLI_NEW  ,
                                 @V_CDEMPFAPLTES_NEW  ,
                                 @V_CDFUNCAPLTES_NEW  ,
                                 @V_NRTURNO_NEW       ,
                                 @V_IDSEGCLIP_NEW     ,
                                 @V_IDTERCLIP_NEW     ,
                                 @V_IDQUACLIP_NEW     ,
                                 @V_IDQUICLIP_NEW     ,
                                 @V_IDSEXCLIP_NEW     ,
                                 @V_IDSABCLIP_NEW     ,
                                 @V_IDDOMCLIP_NEW     ,
                                 @V_IDRECINFMKT_NEW   ,
                                 @V_CDFILORIGCLI_NEW  ,
                                 @V_CDFILESTAPTO_NEW  ,
                                 @V_CDESTAGIAPTO_NEW  ,
                                 @V_CDEXCLIENTE_NEW   ,
                                 @V_IDPRIPUBCLIE_NEW  ,
                                 @V_VRPEFORPRECO_NEW  ,
                                 @V_IDVERSALDCLI_NEW  ,
                                 @V_IDUTSALDCLI_NEW   ,
                                 @V_IDCALCDVCLIE_NEW  ,
                                 @V_IDUTSUBCLIEN_NEW  ,
                                 @V_VRPESUBCLIEN_NEW  ,
                                 @V_IDLIBGERPER_NEW   ,
                                 @V_NRDIAVALPERS_NEW  ,
                                 @V_CDCARGOCNJCL_NEW  ,
                                 @V_CDCARGOCLIE_NEW   ,
                                 @V_NRCARPROCLIE_NEW  ,
                                 @V_VRSALARICLIE_NEW  ,
                                 @V_NMCONJUGCLIE_NEW  ,
                                 @V_DTNASCNJCLIE_NEW  ,
                                 @V_NMEMPCNJCLIE_NEW  ,
                                 @V_VRSALCNJCLIE_NEW  ,
                                 @V_NRCPFCNJCLIE_NEW  ,
                                 @V_NRRGCNJCLIE_NEW   ,
                                 @V_CDEXRGCNJCLI_NEW  ,
                                 @V_DTEXRGCNJCLI_NEW  ,
                                 @V_DTVALARQPERS_NEW  ,
                                 @V_DSEMAILENVCL_NEW  ,
                                 @V_DSEMAILCOMCL_NEW  ,
                                 @V_IDRESPROPCLI_NEW  ,
                                 @V_NRMESRESCLIE_NEW  ,
                                 @V_NRANORESCLIE_NEW  ,
                                 @V_IDZERSALDCON_NEW  ,
                                 @V_IDGERNFCLIE_NEW   ,
                                 @V_CDIDCLIENTE_NEW   ,
                                 @V_IDSITFINCLIE_NEW  ,
                                 @V_DTINITRCLIE_NEW   ,
                                 @V_IDLIGEXTCLIE_NEW  ,
                                 @V_DTULTMOVCLIE_NEW  ,
                                 @V_DTCADACLPROS_NEW  ,
                                 @V_VRFATUCLIE_NEW    ,
                                 @V_NRFUNCCLIE_NEW    ,
                                 @V_NRUNOPCLIE_NEW    ,
                                 @V_CDQUALIF_NEW      ,
                                 @V_QTIMPEXTRMES_NEW  ,
                                 @V_VRPEMAXDESCL_NEW  ,
                                 @V_CDMODPGTO_NEW     ,
                                 @V_DTVALQUALIC_NEW   ,
                                 @V_NRNOTACLIE_NEW    ,
                                 @V_IDCLIEAUTO_NEW    ,
                                 @V_CDGRUPCLIE_NEW    ,
                                 @V_IDGERANFPEDI_NEW  ,
                                 @V_IDPFINAPRPED_NEW  ,
                                 @V_NRDIAPFINAPR_NEW  ,
                                 @V_IDSFINAPRPED_NEW  ,
                                 @V_IDUTCONSPEDI_NEW  ,
                                 @V_VRCAPINTFUT_NEW   ,
                                 @V_VRCAPINTCLIE_NEW  ,
                                 @V_VRRESCAPCLIE_NEW  ,
                                 @V_VRMERESTCLIE_NEW  ,
                                 @V_CDREGIAOPED_NEW   ,
                                 @V_CDFILTABPREC_NEW  ,
                                 @V_CDTABEPREC_NEW    ,
                                 @V_CDTPINDICE_NEW    ,
                                 @V_CDINDICE_NEW      ,
                                 @V_CDCONTCTBL_NEW    ,
                                 @V_IDPERVALOR_NEW    ,
                                 @V_CDREFERENCIA_NEW  ,
                                 @V_CDMODDOCFISC_NEW  ,
                                 @V_NRINSJURTRAN_NEW  ,
                                 @V_IDTPIJURTRAN_NEW  ,
                                 @V_CDTIPTRANS_NEW    ,
                                 @V_IDPGFRETTRANCLI_NEW,
                                 @V_IDCOMPARQXMLCLI_NEW,
                                 @V_NRINSCSUFRAMACL_NEW,
                                 @V_IDGRAVOBSCLIPED_NEW;

   END;

   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;

END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_GER_CLIENTE','5.42.xxx';
GO

